﻿namespace CsharpApplication
{
    using System;
    using System.ComponentModel;
    using System.Drawing;
    using System.IO.Ports;
    using System.Windows.Forms;

    public class CommOptions : Form
    {
        public string BaudRateStr = "BaudRate";
        private Button butok;
        private ComboBox cbDataBits;
        private ComboBox cbParity;
        private ComboBox cbPort;
        private ComboBox cbSpeed;
        private ComboBox cbStopBits;
        private SerialPort comm;
        public string CommPortStr = "CommPort";
        private IContainer components;
        public string DataBitsStr = "DataBits";
        public const int ECHO_OFF = 0;
        public const int ECHO_ON = 1;
        public string EchoStr = "Echo";
        public const int FLOW_NONE = 0;
        public const int FLOW_RTS_CTS = 2;
        public const int FLOW_XON_RTS = 3;
        public const int FLOW_XON_XOFF = 1;
        public string FlowCtrlStr = "FlowCtrl";
        private GroupBox gbCnnPrefs;
        private GroupBox gbCommOpts;
        private GroupBox gbEcho;
        private GroupBox gbFlow;
        private GroupBox gbspeed;
        private Label lcp;
        private Label ldatabits;
        private Label lparity;
        private Label lstopbits;
        private MyRegistry myreg;
        public string ParityStr = "Parity";
        private RadioButton rbEchoOff;
        private RadioButton rbEchoOn;
        private RadioButton rbFlowNone;
        private RadioButton rbRtsCts;
        private RadioButton rbXonRts;
        private RadioButton rbXonXoff;
        public string StopBitsStr = "StopBits";

        public CommOptions()
        {
            this.InitializeComponent();
            this.myreg = new MyRegistry();
            string[] portNames = SerialPort.GetPortNames();
            foreach (string str in portNames)
            {
                this.cbPort.Items.Add(str);
            }
            if (cbPort.Items.Count > 0)
            {
                this.cbPort.SelectedIndex = 0;
            }
            this.cbSpeed.Items.Add("110");
            this.cbSpeed.Items.Add("300");
            this.cbSpeed.Items.Add("600");
            this.cbSpeed.Items.Add("1200");
            this.cbSpeed.Items.Add("2400");
            this.cbSpeed.Items.Add("4800");
            this.cbSpeed.Items.Add("9600");
            this.cbSpeed.Items.Add("14400");
            this.cbSpeed.Items.Add("19200");
            this.cbSpeed.Items.Add("28800");
            this.cbSpeed.Items.Add("38400");
            this.cbSpeed.Items.Add("56000");
            this.cbSpeed.Items.Add("57600");
            this.cbSpeed.Items.Add("115200");
            this.cbSpeed.Items.Add("128000");
            this.cbSpeed.Items.Add("256000");
            this.cbSpeed.SelectedIndex = 6;
            this.cbDataBits.Items.Add("4");
            this.cbDataBits.Items.Add("5");
            this.cbDataBits.Items.Add("6");
            this.cbDataBits.Items.Add("7");
            this.cbDataBits.Items.Add("8");
            this.cbDataBits.SelectedIndex = 4;
            this.cbParity.Items.Add("Even");
            this.cbParity.Items.Add("Odd");
            this.cbParity.Items.Add("None");
            this.cbParity.Items.Add("Mark");
            this.cbParity.Items.Add("Space");
            this.cbParity.SelectedIndex = 2;
            this.cbStopBits.Items.Add("1");
            this.cbStopBits.Items.Add("1.5");
            this.cbStopBits.Items.Add("2");
            this.cbStopBits.SelectedIndex = 0;
            string str2 = this.myreg.getString(this.CommPortStr);
            string s = this.myreg.getString(this.BaudRateStr);
            string str4 = this.myreg.getString(this.ParityStr);
            string str5 = this.myreg.getString(this.StopBitsStr);
            string str6 = this.myreg.getString(this.DataBitsStr);
            string str7 = this.myreg.getString(this.EchoStr);
            string str8 = this.myreg.getString(this.FlowCtrlStr);
            try
            {
                if (str2.Length > 0)
                {
                    int num = 0;
                    foreach (string str9 in portNames)
                    {
                        this.cbPort.SelectedIndex = num;
                        if (str9.Equals(str2))
                        {
                            break;
                        }
                        num++;
                    }
                }
                if (s.Length > 0)
                {
                    this.cbSpeed.SelectedIndex = int.Parse(s);
                }
                if (str6.Length > 0)
                {
                    this.cbDataBits.SelectedIndex = int.Parse(str6);
                }
                if (str4.Length > 0)
                {
                    this.cbParity.SelectedIndex = int.Parse(str4);
                }
                if (str5.Length > 0)
                {
                    this.cbStopBits.SelectedIndex = int.Parse(str5);
                }
                if (str7.Length > 0)
                {
                    switch (int.Parse(str7))
                    {
                        case 0:
                            this.rbEchoOff.Checked = true;
                            break;

                        case 1:
                            this.rbEchoOn.Checked = true;
                            break;
                    }
                }
                if (str8.Length > 0)
                {
                    switch (int.Parse(str8))
                    {
                        case 0:
                            this.rbFlowNone.Checked = true;
                            return;

                        case 1:
                            this.rbXonXoff.Checked = true;
                            return;

                        case 2:
                            this.rbRtsCts.Checked = true;
                            return;

                        case 3:
                            this.rbXonRts.Checked = true;
                            return;
                    }
                }
            }
            catch (Exception exception)
            {
                MessageBox.Show("COM Port Options: " + exception.Message);
            }
        }

        private void butok_Click(object sender, EventArgs e)
        {
            MyRegistry registry = new MyRegistry();
            try
            {
                string text = this.cbPort.Text;
                string val = this.cbSpeed.SelectedIndex.ToString();
                string str5 = this.cbDataBits.SelectedIndex.ToString();
                string str3 = this.cbParity.SelectedIndex.ToString();
                string str4 = this.cbStopBits.SelectedIndex.ToString();
                int num = 0;
                if (this.rbEchoOff.Checked)
                {
                    num = 0;
                }
                else if (this.rbEchoOn.Checked)
                {
                    num = 1;
                }
                string str6 = num.ToString();
                int num2 = 0;
                if (this.rbFlowNone.Checked)
                {
                    num2 = 0;
                }
                else if (this.rbXonXoff.Checked)
                {
                    num2 = 1;
                }
                else if (this.rbRtsCts.Checked)
                {
                    num2 = 2;
                }
                else if (this.rbXonRts.Checked)
                {
                    num2 = 3;
                }
                string str7 = num2.ToString();
                registry.setString(this.CommPortStr, text);
                registry.setString(this.BaudRateStr, val);
                registry.setString(this.ParityStr, str3);
                registry.setString(this.StopBitsStr, str4);
                registry.setString(this.DataBitsStr, str5);
                registry.setString(this.EchoStr, str6);
                registry.setString(this.FlowCtrlStr, str7);
            }
            catch (Exception exception)
            {
                MessageBox.Show("COM Port Options: " + exception.Message);
            }
            base.Hide();
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void Form_Closing(object sender, FormClosingEventArgs e)
        {
            this.butok_Click(sender, e);
        }

        public string getCommPort()
        {
            return this.myreg.getString(this.CommPortStr);
        }

        public short getDataBits()
        {
            return short.Parse(this.cbDataBits.SelectedItem.ToString());
        }

        public short getParity()
        {
            return short.Parse(this.cbParity.SelectedItem.ToString());
        }

        public string getSettings()
        {
            string str = "";
            return ((((str + this.cbSpeed.SelectedItem.ToString() + ",") + this.cbParity.SelectedItem.ToString().Substring(0, 1).ToLower() + ",") + this.cbDataBits.SelectedItem.ToString() + ",") + this.cbStopBits.SelectedItem.ToString());
        }

        public int getSpeed()
        {
            return int.Parse(this.cbSpeed.SelectedItem.ToString());
        }

        public short getStopBits()
        {
            return short.Parse(this.cbStopBits.SelectedItem.ToString());
        }

        private void InitializeComponent()
        {
            this.components = new Container();
            this.comm = new SerialPort(this.components);
            this.gbCommOpts = new GroupBox();
            this.gbFlow = new GroupBox();
            this.rbXonRts = new RadioButton();
            this.rbRtsCts = new RadioButton();
            this.rbXonXoff = new RadioButton();
            this.rbFlowNone = new RadioButton();
            this.gbCnnPrefs = new GroupBox();
            this.cbStopBits = new ComboBox();
            this.cbParity = new ComboBox();
            this.cbDataBits = new ComboBox();
            this.lstopbits = new Label();
            this.lparity = new Label();
            this.ldatabits = new Label();
            this.gbEcho = new GroupBox();
            this.rbEchoOn = new RadioButton();
            this.rbEchoOff = new RadioButton();
            this.gbspeed = new GroupBox();
            this.cbSpeed = new ComboBox();
            this.cbPort = new ComboBox();
            this.lcp = new Label();
            this.butok = new Button();
            this.gbCommOpts.SuspendLayout();
            this.gbFlow.SuspendLayout();
            this.gbCnnPrefs.SuspendLayout();
            this.gbEcho.SuspendLayout();
            this.gbspeed.SuspendLayout();
            base.SuspendLayout();
            this.gbCommOpts.Controls.Add(this.gbFlow);
            this.gbCommOpts.Controls.Add(this.gbCnnPrefs);
            this.gbCommOpts.Controls.Add(this.gbEcho);
            this.gbCommOpts.Controls.Add(this.gbspeed);
            this.gbCommOpts.Controls.Add(this.cbPort);
            this.gbCommOpts.Controls.Add(this.lcp);
            this.gbCommOpts.Location = new Point(8, 8);
            this.gbCommOpts.Name = "gbCommOpts";
            this.gbCommOpts.Size = new Size(0x138, 280);
            this.gbCommOpts.TabIndex = 0;
            this.gbCommOpts.TabStop = false;
            this.gbFlow.Controls.Add(this.rbXonRts);
            this.gbFlow.Controls.Add(this.rbRtsCts);
            this.gbFlow.Controls.Add(this.rbXonXoff);
            this.gbFlow.Controls.Add(this.rbFlowNone);
            this.gbFlow.Location = new Point(0xb8, 0x88);
            this.gbFlow.Name = "gbFlow";
            this.gbFlow.Size = new Size(0x70, 120);
            this.gbFlow.TabIndex = 7;
            this.gbFlow.TabStop = false;
            this.gbFlow.Text = "Flow Control";
            this.rbXonRts.Location = new Point(0x10, 0x60);
            this.rbXonRts.Name = "rbXonRts";
            this.rbXonRts.Size = new Size(0x48, 0x10);
            this.rbXonRts.TabIndex = 3;
            this.rbXonRts.Text = "Xon/RTS";
            this.rbRtsCts.Location = new Point(0x10, 0x48);
            this.rbRtsCts.Name = "rbRtsCts";
            this.rbRtsCts.Size = new Size(0x48, 0x10);
            this.rbRtsCts.TabIndex = 2;
            this.rbRtsCts.Text = "RTS/CTS";
            this.rbXonXoff.Location = new Point(0x10, 0x30);
            this.rbXonXoff.Name = "rbXonXoff";
            this.rbXonXoff.Size = new Size(0x48, 0x10);
            this.rbXonXoff.TabIndex = 1;
            this.rbXonXoff.Text = "Xon/Xoff";
            this.rbFlowNone.Checked = true;
            this.rbFlowNone.Location = new Point(0x10, 0x18);
            this.rbFlowNone.Name = "rbFlowNone";
            this.rbFlowNone.Size = new Size(0x48, 0x10);
            this.rbFlowNone.TabIndex = 0;
            this.rbFlowNone.TabStop = true;
            this.rbFlowNone.Text = "None";
            this.gbCnnPrefs.Controls.Add(this.cbStopBits);
            this.gbCnnPrefs.Controls.Add(this.cbParity);
            this.gbCnnPrefs.Controls.Add(this.cbDataBits);
            this.gbCnnPrefs.Controls.Add(this.lstopbits);
            this.gbCnnPrefs.Controls.Add(this.lparity);
            this.gbCnnPrefs.Controls.Add(this.ldatabits);
            this.gbCnnPrefs.Location = new Point(0x10, 0x88);
            this.gbCnnPrefs.Name = "gbCnnPrefs";
            this.gbCnnPrefs.Size = new Size(160, 120);
            this.gbCnnPrefs.TabIndex = 6;
            this.gbCnnPrefs.TabStop = false;
            this.gbCnnPrefs.Text = "Connection Preferences";
            this.cbStopBits.Location = new Point(80, 0x58);
            this.cbStopBits.Name = "cbStopBits";
            this.cbStopBits.Size = new Size(0x38, 0x15);
            this.cbStopBits.TabIndex = 5;
            this.cbParity.Location = new Point(80, 0x38);
            this.cbParity.Name = "cbParity";
            this.cbParity.Size = new Size(0x38, 0x15);
            this.cbParity.TabIndex = 4;
            this.cbDataBits.Location = new Point(80, 0x18);
            this.cbDataBits.Name = "cbDataBits";
            this.cbDataBits.Size = new Size(0x38, 0x15);
            this.cbDataBits.TabIndex = 3;
            this.lstopbits.Location = new Point(0x10, 0x5d);
            this.lstopbits.Name = "lstopbits";
            this.lstopbits.Size = new Size(0x38, 0x10);
            this.lstopbits.TabIndex = 2;
            this.lstopbits.Text = "Stop Bits:";
            this.lparity.Location = new Point(0x10, 0x3d);
            this.lparity.Name = "lparity";
            this.lparity.Size = new Size(0x38, 0x10);
            this.lparity.TabIndex = 1;
            this.lparity.Text = "Parity:";
            this.ldatabits.Location = new Point(0x10, 0x1d);
            this.ldatabits.Name = "ldatabits";
            this.ldatabits.Size = new Size(0x38, 0x10);
            this.ldatabits.TabIndex = 0;
            this.ldatabits.Text = "Data Bits:";
            this.gbEcho.Controls.Add(this.rbEchoOn);
            this.gbEcho.Controls.Add(this.rbEchoOff);
            this.gbEcho.Location = new Point(0xb8, 0x40);
            this.gbEcho.Name = "gbEcho";
            this.gbEcho.Size = new Size(0x70, 0x38);
            this.gbEcho.TabIndex = 5;
            this.gbEcho.TabStop = false;
            this.gbEcho.Text = "Echo";
            this.rbEchoOn.Location = new Point(0x40, 0x18);
            this.rbEchoOn.Name = "rbEchoOn";
            this.rbEchoOn.Size = new Size(40, 0x18);
            this.rbEchoOn.TabIndex = 1;
            this.rbEchoOn.Text = "On";
            this.rbEchoOff.Checked = true;
            this.rbEchoOff.Location = new Point(0x10, 0x18);
            this.rbEchoOff.Name = "rbEchoOff";
            this.rbEchoOff.Size = new Size(40, 0x18);
            this.rbEchoOff.TabIndex = 0;
            this.rbEchoOff.TabStop = true;
            this.rbEchoOff.Text = "Off";
            this.rbEchoOff.CheckedChanged += new EventHandler(this.rbEchoOff_CheckedChanged);
            this.gbspeed.Controls.Add(this.cbSpeed);
            this.gbspeed.Location = new Point(0x10, 0x40);
            this.gbspeed.Name = "gbspeed";
            this.gbspeed.Size = new Size(160, 0x38);
            this.gbspeed.TabIndex = 4;
            this.gbspeed.TabStop = false;
            this.gbspeed.Text = "Port Speed";
            this.cbSpeed.Location = new Point(0x38, 0x18);
            this.cbSpeed.Name = "cbSpeed";
            this.cbSpeed.Size = new Size(80, 0x15);
            this.cbSpeed.TabIndex = 0;
            this.cbPort.Location = new Point(0x48, 0x18);
            this.cbPort.Name = "cbPort";
            this.cbPort.Size = new Size(80, 0x15);
            this.cbPort.TabIndex = 3;
            this.lcp.Location = new Point(0x18, 0x1d);
            this.lcp.Name = "lcp";
            this.lcp.Size = new Size(0x20, 0x10);
            this.lcp.TabIndex = 0;
            this.lcp.Text = "Port";
            this.butok.Location = new Point(240, 0x128);
            this.butok.Name = "butok";
            this.butok.Size = new Size(0x40, 0x18);
            this.butok.TabIndex = 1;
            this.butok.Text = "Ok";
            this.butok.Click += new EventHandler(this.butok_Click);
            this.AutoScaleBaseSize = new Size(5, 13);
            base.ClientSize = new Size(0x148, 0x146);
            base.Controls.Add(this.butok);
            base.Controls.Add(this.gbCommOpts);
            base.MaximizeBox = false;
            base.Name = "CommOptions";
            this.Text = "COM Port Options";
            base.FormClosing += new FormClosingEventHandler(this.Form_Closing);
            this.gbCommOpts.ResumeLayout(false);
            this.gbFlow.ResumeLayout(false);
            this.gbCnnPrefs.ResumeLayout(false);
            this.gbEcho.ResumeLayout(false);
            this.gbspeed.ResumeLayout(false);
            base.ResumeLayout(false);
        }

        private void rbEchoOff_CheckedChanged(object sender, EventArgs e)
        {
        }
    }
}

