﻿namespace CsharpApplication
{
    using System;
    using System.Collections;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;

    public class ListForm : Form
    {
        private ArrayList bitCapArray;
        private CheckBox cbFilterDups;
        private CheckBox cbFilterEnable;
        private CheckBox checkBoxTop;
        private CheckBox checkBoxTrack;
        //private IContainer components;
        private Hashtable grpcolors;
        private Hashtable grpitems;
        private Hashtable grps;
        private ArrayList grpsort;
        private ArrayList itemMap;
        private Button listOk;
        private ListView lvList;
        private int period;
        private TextBox tbFilter;
        private int tickoff;
        private bool track;

        public ListForm()
        {
            this.InitializeComponent();
            this.track = this.checkBoxTrack.Checked;
            base.TopMost = this.checkBoxTop.Checked;
        }

        private void cbFilterDups_CheckedChanged(object sender, EventArgs e)
        {
            this.showList();
        }

        private void cbFilterEnable_CheckedChanged(object sender, EventArgs e)
        {
            this.showList();
        }

        private void checkBoxTop_CheckedChanged(object sender, EventArgs e)
        {
            base.TopMost = this.checkBoxTop.Checked;
        }

        private void checkBoxTrack_CheckedChanged(object sender, EventArgs e)
        {
            this.track = this.checkBoxTrack.Checked;
        }

        protected override void Dispose(bool disposing)
        {
            /*
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            */
            base.Dispose(disposing);
        }

        private string getBits(string name, string sval)
        {
            ArrayList list = (ArrayList) this.grps[name];
            int num = 0;
            int num2 = 0;
            try
            {
                num2 = Convert.ToInt32(sval, 0x10);
                for (int i = list.Count - 1; i >= 0; i--)
                {
                    int num4 = Convert.ToInt32(list[i]);
                    if ((((int) 1) << num4) != 0)
                    {
                        num = num << 1;
                        num |= (((((int) 1) << num4) & num2) != 0) ? 1 : 0;
                    }
                }
                return string.Format("{0:x}", num);
            }
            catch (Exception exception)
            {
                Console.WriteLine(exception.Message + "\n" + exception.StackTrace);
            }
            return null;
        }

        public void init(ArrayList al, int per, int to, Hashtable groups, Hashtable items, Hashtable colors)
        {
            this.bitCapArray = al;
            this.period = per;
            this.tickoff = to;
            this.grps = groups;
            this.grpitems = items;
            this.grpcolors = colors;
            this.itemMap = new ArrayList();
            this.grpsort = new ArrayList();
            foreach (DictionaryEntry entry in this.grps)
            {
                this.grpsort.Add(entry.Key.ToString());
            }
            this.grpsort.Sort();
            this.showList();
        }

        private void InitializeComponent()
        {
            this.listOk = new Button();
            this.lvList = new ListView();
            this.checkBoxTop = new CheckBox();
            this.checkBoxTrack = new CheckBox();
            this.cbFilterEnable = new CheckBox();
            this.cbFilterDups = new CheckBox();
            this.tbFilter = new TextBox();
            base.SuspendLayout();
            this.listOk.Anchor = AnchorStyles.Right | AnchorStyles.Bottom;
            this.listOk.AutoSizeMode = AutoSizeMode.GrowAndShrink;
            this.listOk.Location = new Point(0x109, 0xe9);
            this.listOk.Name = "listOk";
            this.listOk.Size = new Size(0x4b, 0x17);
            this.listOk.TabIndex = 6;
            this.listOk.Text = "Ok";
            this.listOk.UseVisualStyleBackColor = true;
            this.listOk.Click += new EventHandler(this.listOk_Click);
            this.lvList.Anchor = AnchorStyles.Right | AnchorStyles.Left | AnchorStyles.Bottom | AnchorStyles.Top;
            this.lvList.FullRowSelect = true;
            this.lvList.HideSelection = false;
            this.lvList.Location = new Point(2, 2);
            this.lvList.Name = "lvList";
            this.lvList.Size = new Size(0x15c, 0xc2);
            this.lvList.TabIndex = 0;
            this.lvList.UseCompatibleStateImageBehavior = false;
            this.checkBoxTop.Anchor = AnchorStyles.Left | AnchorStyles.Bottom;
            this.checkBoxTop.AutoSize = true;
            this.checkBoxTop.Checked = true;
            this.checkBoxTop.CheckState = CheckState.Checked;
            this.checkBoxTop.Location = new Point(12, 0xed);
            this.checkBoxTop.Name = "checkBoxTop";
            this.checkBoxTop.Size = new Size(0x60, 0x11);
            this.checkBoxTop.TabIndex = 4;
            this.checkBoxTop.Text = "Always on Top";
            this.checkBoxTop.UseVisualStyleBackColor = true;
            this.checkBoxTop.CheckedChanged += new EventHandler(this.checkBoxTop_CheckedChanged);
            this.checkBoxTrack.Anchor = AnchorStyles.Left | AnchorStyles.Bottom;
            this.checkBoxTrack.AutoSize = true;
            this.checkBoxTrack.Checked = true;
            this.checkBoxTrack.CheckState = CheckState.Checked;
            this.checkBoxTrack.Location = new Point(0x7a, 0xed);
            this.checkBoxTrack.Name = "checkBoxTrack";
            this.checkBoxTrack.Size = new Size(0x57, 0x11);
            this.checkBoxTrack.TabIndex = 5;
            this.checkBoxTrack.Text = "Track Cursor";
            this.checkBoxTrack.UseVisualStyleBackColor = true;
            this.checkBoxTrack.CheckedChanged += new EventHandler(this.checkBoxTrack_CheckedChanged);
            this.cbFilterEnable.Anchor = AnchorStyles.Right | AnchorStyles.Bottom;
            this.cbFilterEnable.AutoSize = true;
            this.cbFilterEnable.Location = new Point(0x100, 210);
            this.cbFilterEnable.Name = "cbFilterEnable";
            this.cbFilterEnable.RightToLeft = RightToLeft.Yes;
            this.cbFilterEnable.Size = new Size(0x54, 0x11);
            this.cbFilterEnable.TabIndex = 3;
            this.cbFilterEnable.Text = "Filter Enable";
            this.cbFilterEnable.UseVisualStyleBackColor = true;
            this.cbFilterEnable.CheckedChanged += new EventHandler(this.cbFilterEnable_CheckedChanged);
            this.cbFilterDups.Anchor = AnchorStyles.Left | AnchorStyles.Bottom;
            this.cbFilterDups.AutoSize = true;
            this.cbFilterDups.Location = new Point(0x7a, 210);
            this.cbFilterDups.Name = "cbFilterDups";
            this.cbFilterDups.Size = new Size(0x65, 0x11);
            this.cbFilterDups.TabIndex = 2;
            this.cbFilterDups.Text = "Filter Duplicates";
            this.cbFilterDups.UseVisualStyleBackColor = true;
            this.cbFilterDups.CheckedChanged += new EventHandler(this.cbFilterDups_CheckedChanged);
            this.tbFilter.Anchor = AnchorStyles.Left | AnchorStyles.Bottom;
            this.tbFilter.Location = new Point(12, 0xcf);
            this.tbFilter.Name = "tbFilter";
            this.tbFilter.Size = new Size(0x4e, 20);
            this.tbFilter.TabIndex = 1;
            this.tbFilter.Text = "0";
            this.tbFilter.TextAlign = HorizontalAlignment.Center;
            base.AutoScaleDimensions = new SizeF(6f, 13f);
            base.AutoScaleMode = AutoScaleMode.Font;
            base.AutoSizeMode = AutoSizeMode.GrowAndShrink;
            base.ClientSize = new Size(0x160, 0x10a);
            base.Controls.Add(this.cbFilterEnable);
            base.Controls.Add(this.cbFilterDups);
            base.Controls.Add(this.tbFilter);
            base.Controls.Add(this.checkBoxTrack);
            base.Controls.Add(this.checkBoxTop);
            base.Controls.Add(this.lvList);
            base.Controls.Add(this.listOk);
            base.Name = "ListForm";
            base.ShowIcon = false;
            base.SizeGripStyle = SizeGripStyle.Show;
            this.Text = "State List";
            base.ResumeLayout(false);
            base.PerformLayout();
        }

        private void listOk_Click(object sender, EventArgs e)
        {
            base.Dispose();
        }

        public void setCursorTrack(int val)
        {
            int num = 0;
            try
            {
                if ((this.track && (val >= 1)) && (val <= (this.itemMap.Count - 1)))
                {
                    num = Convert.ToInt32(this.itemMap[val]);
                    if (((num >= 0) && (num <= (this.lvList.Items.Count - 1))) && ((this.lvList.Items.Count > 0) && (this.lvList.Items[num] != null)))
                    {
                        this.lvList.TopItem = this.lvList.Items[num];
                    }
                }
            }
            catch (Exception exception)
            {
                Console.WriteLine(exception.Message + "\n" + exception.StackTrace);
            }
        }

        private void showList()
        {
            this.lvList.Clear();
            this.lvList.Font = new Font("courier new", 8f);
            this.lvList.Scrollable = true;
            this.lvList.View = View.Details;
            this.lvList.LabelEdit = false;
            this.lvList.AllowColumnReorder = true;
            this.lvList.CheckBoxes = false;
            this.lvList.Sorting = SortOrder.None;
            this.lvList.Columns.Add("TICK", "TICK".Length * this.lvList.Font.Height, HorizontalAlignment.Center);
            this.lvList.Columns.Add("VALUE", 6 * this.lvList.Font.Height, HorizontalAlignment.Center);
            foreach (string str in this.grpsort)
            {
                this.lvList.Columns.Add(str, str.Length * this.lvList.Font.Height, HorizontalAlignment.Center);
            }
            try
            {
                int index = 0;
                uint num4 = 0;
                foreach (string str2 in this.bitCapArray)
                {
                    this.itemMap.Insert(index, this.lvList.Items.Count);
                    if (this.cbFilterEnable.Checked)
                    {
                        uint num2 = Convert.ToUInt32(str2, 0x10);
                        uint num3 = Convert.ToUInt32(this.tbFilter.Text, 0x10);
                        if ((num2 & num3) != 0)
                        {
                            index++;
                            continue;
                        }
                        if (this.cbFilterDups.Checked && (num2 == num4))
                        {
                            index++;
                            continue;
                        }
                        num4 = num2;
                    }
                    ListViewItem item = new ListViewItem(index.ToString());
                    item.SubItems.Add(str2);
                    foreach (string str3 in this.grpsort)
                    {
                        string text = this.getBits(str3, this.bitCapArray[index].ToString());
                        if (text != null)
                        {
                            item.SubItems.Add(text);
                        }
                    }
                    this.lvList.Items.Add(item);
                    index++;
                }
            }
            catch (Exception exception)
            {
                Console.WriteLine(exception.Message + "\n" + exception.StackTrace);
            }
            this.lvList.BringToFront();
            if (this.track)
            {
                this.setCursorTrack(this.tickoff);
            }
            this.Refresh();
        }
    }
}

