﻿namespace CsharpApplication
{
    using System;
    using System.Collections;
    using System.ComponentModel;
    using System.Diagnostics;
    using System.Drawing;
    using System.IO;
    using System.IO.Ports;
    using System.Threading;
    using System.Windows.Forms;

    public class MainForm : Form
    {
        private ComponentResourceManager manager;
        private ToolStripMenuItem aboutToolStripMenuItem;
        private bool active = true;
        private ToolStripMenuItem anToolStripMenuItem;
        private int arm;
        private Bitmap bg;
        private ArrayList bitCapArray;
        private Color bitColorDefault = Color.Orange;
        private int bitcolornum;
        private ArrayList bitcolors;
        private ArrayList bitgroup;
        private ArrayList bitnames;
        private ArrayList bitnums;
        private ArrayList bits;
        private ToolStripMenuItem btBrowseSpinFile;
        private CommOptions commOpts;
        private CommPort commPort;
        private IContainer components;
        private int cursorx = -1;
        private Panel disp;
        private Color dispColorDefault = Color.Black;
        private ContextMenuStrip displayPopup;
        private ToolStripMenuItem exitToolStripMenuItem;
        private ToolStripMenuItem exportDataToolStripMenuItem;
        private ToolStripMenuItem fileToolStripMenuItem;
        private Hashtable groupcolors;
        private Hashtable groupitems;
        private Hashtable groups;
        private ToolStripMenuItem helpToolStripMenuItem;
        private ToolStripMenuItem importDataToolStripMenuItem;
        private int invertMask = 0x7fdfdfff;
        private int mask;
        private ToolStripMenuItem mbDeleteAllGroups;
        private MenuStrip menu;
        private int mousex;
        private int mousey;
        private int mousey2;
        private ToolStripMenuItem newGroupToolStripMenuItem;
        private ToolStripMenuItem newProjectToolStripMenuItem;
        private Color obitColorDefault = Color.Black;
        private OpenFileDialog openFile;
        private ToolStripMenuItem openToolStripMenuItem;
        private ToolStripMenuItem optInvertColors;
        private ArrayList periodArray;
        private ToolStripMenuItem popAddToGroup;
        private ToolStripMenuItem popAddToGroupOk;
        private ToolStripComboBox popCbDelGroup;
        private ToolStripComboBox popCbGroup;
        private int popCbGroupLen;
        private ToolStripMenuItem popDeleteAllGroups;
        private ToolStripMenuItem popDeleteFromGroup;
        private ToolStripMenuItem popDelGroup;
        private ToolStripMenuItem popDelGroupOk;
        private ToolStripMenuItem popList;
        private ToolStripMenuItem popSetArm;
        private ToolStripMenuItem popSetArmTrigger;
        private ToolStripMenuItem popSetTrigger;
        private ToolStripTextBox popTbNewGroup;
        private ToolStripMenuItem popZoomReset;
        private ToolStripMenuItem portToolStripMenuItem;
        private string programName = "Propalyzer";
        private string projExt = ".pal";
        private string projFile = "";
        private string projName = "";
        private ToolStripMenuItem propellentFileToolStripMenuItem;
        private string propellentregs = "propellent";
        private ToolStripMenuItem propFreqOkToolStripMenuItem;
        private string propFreqRegs = "propellerfreq";
        private ToolStripMenuItem propFreqToolStripMenuItem;
        private ToolStripTextBox propFreqToolStripTextBox;
        private MyRegistry reg;
        private int sampleperiod = 50;
        private int samples = 0x1d5;
        private ToolStripMenuItem saveAsToolStripMenuItem;
        private Color[] saveCursorBgimg;
        private SaveFileDialog saveFile;
        private ToolStripMenuItem saveToolStripMenuItem;
        private int savex;
        private ToolStripStatusLabel sbLableValue;
        private ToolStripStatusLabel sbLabPin;
        private ToolStripStatusLabel sbLabTick;
        private ToolStripStatusLabel sbLabTime;
        private ToolStripStatusLabel sbTick;
        private ToolStripStatusLabel sbTime;
        private ToolStripStatusLabel sbTrace;
        private ToolStripStatusLabel sbValue;
        private ToolStripStatusLabel sbX;
        private ToolStripStatusLabel sbXoff;
        private ToolStripStatusLabel sbXzoom;
        private ToolStripStatusLabel sbY;
        private ToolStripStatusLabel sbZoomFactor;
        private SerialPort serial;
        private int show = -1;
        private string spinfileregs = "spinfile";
        private SplitContainer split;
        private StatusStrip statusBar;
        private ToolStripTextBox tbArmPattern;
        private ToolStripButton tbBit0;
        private ToolStripButton tbBit1;
        private ToolStripButton tbBit10;
        private ToolStripButton tbBit11;
        private ToolStripButton tbBit12;
        private ToolStripButton tbBit13;
        private ToolStripButton tbBit14;
        private ToolStripButton tbBit15;
        private ToolStripButton tbBit16;
        private ToolStripButton tbBit17;
        private ToolStripButton tbBit18;
        private ToolStripButton tbBit19;
        private ToolStripButton tbBit2;
        private ToolStripButton tbBit20;
        private ToolStripButton tbBit21;
        private ToolStripButton tbBit22;
        private ToolStripButton tbBit23;
        private ToolStripButton tbBit24;
        private ToolStripButton tbBit25;
        private ToolStripButton tbBit26;
        private ToolStripButton tbBit27;
        private ToolStripButton tbBit28;
        private ToolStripButton tbBit29;
        private ToolStripButton tbBit3;
        private ToolStripButton tbBit30;
        private ToolStripButton tbBit31;
        private ToolStripButton tbBit4;
        private ToolStripButton tbBit5;
        private ToolStripButton tbBit6;
        private ToolStripButton tbBit7;
        private ToolStripButton tbBit8;
        private ToolStripButton tbBit9;
        private ToolStripComboBox tbBitAll;
        private ToolStripMenuItem tbBrowsePropellent;
        private ToolStripButton tbCapture;
        private ToolStripButton tbCaptureCont;
        private ToolStripComboBox tbCbPeriod;
        private ToolStripComboBox tbCbScale;
        private TextBox tbConsole;
        private ToolStripButton tbDownload;
        private ToolStripButton tbFlipAll;
        private ToolStrip tbGroup;
        private ToolStripLabel tbGroupLabel;
        private ToolStripLabel tbLabArmPattern;
        private ToolStripLabel tbLabMaskPattern;
        private ToolStripLabel tbLabShow;
        private ToolStripLabel tbLabTriggerPattern;
        private ToolStripTextBox tbMaskPattern;
        private ToolStripMenuItem tbNewGroupOk;
        private ToolStripButton tbOptions;
        private ToolStripTextBox tboxPropellent;
        private ToolStripTextBox tboxSpinFile;
        private ToolStripButton tbPanLeft;
        private ToolStripButton tbPanRight;
        private ToolStripButton tbPanTrigger;
        private ToolStripTextBox tbPeriodText;
        private ToolStripButton tbRefresh;
        private ToolStripSeparator tbSep1;
        private ToolStripSeparator tbSep2;
        private ToolStripSeparator tbSep3;
        private ToolStripSeparator tbSep5;
        private ToolStripButton tbShowConsole;
        private ToolStripTextBox tbShowPattern;
        private ToolStripButton tbSnap1;
        private ToolStripTextBox tbTriggerPattern;
        private ToolStripButton tbZoomIn;
        private ToolStripButton tbZoomOut;
        private Color tickColorDefault = Color.Gray;
        private ListForm ticklist;
        private int tickpan;
        private ToolStrip toolbits;
        private ToolStrip tools;
        private ToolStripSeparator toolStripSeparator1;
        private ToolStripSeparator toolStripSeparator2;
        private ToolStripSeparator toolStripSeparator3;
        private ToolStripSeparator toolStripSeparator4;
        private int trig;
        private ToolStripMenuItem viewInvertColors;
        private ToolStripMenuItem viewToolStripMenuItem1;
        private int xdiv = 1;
        private int xoff = 0x19;
        private double xratio = 1.0;
        private int xzoom = 1;
        private int ydiv = 12;
        private int yoff = 5;
        private int zoom = 1;
        private ToolStripComboBox zoomFactorCombo;
        private ToolStripMenuItem zoomFactorToolStripMenuItem1;
        private ToolStripMenuItem zoomInToolStripMenuItem;
        private ToolStripMenuItem zoomOutToolStripMenuItem;
        private ToolStripMenuItem zoomResetToolStripMenuItem;

        public MainForm()
        {
            manager = new ComponentResourceManager(typeof(MainForm));

            this.InitializeComponent();
            this.programName = this.Text;
            this.reg = new MyRegistry();
            this.commOpts = new CommOptions();
            this.commPort = new CommPort();
            this.serial = new SerialPort();
            this.serial.DataReceived += new SerialDataReceivedEventHandler(this.commPort.RxData);
            this.commPort.init(this.serial, this.tbConsole);
            this.disp.Paint += new PaintEventHandler(this.painter);
            this.split.SplitterDistance = this.split.Height;
            this.bits = new ArrayList();
            this.bits.Add(this.tbBit0);
            this.bits.Add(this.tbBit1);
            this.bits.Add(this.tbBit2);
            this.bits.Add(this.tbBit3);
            this.bits.Add(this.tbBit4);
            this.bits.Add(this.tbBit5);
            this.bits.Add(this.tbBit6);
            this.bits.Add(this.tbBit7);
            this.bits.Add(this.tbBit8);
            this.bits.Add(this.tbBit9);
            this.bits.Add(this.tbBit10);
            this.bits.Add(this.tbBit11);
            this.bits.Add(this.tbBit12);
            this.bits.Add(this.tbBit13);
            this.bits.Add(this.tbBit14);
            this.bits.Add(this.tbBit15);
            this.bits.Add(this.tbBit16);
            this.bits.Add(this.tbBit17);
            this.bits.Add(this.tbBit18);
            this.bits.Add(this.tbBit19);
            this.bits.Add(this.tbBit20);
            this.bits.Add(this.tbBit21);
            this.bits.Add(this.tbBit22);
            this.bits.Add(this.tbBit23);
            this.bits.Add(this.tbBit24);
            this.bits.Add(this.tbBit25);
            this.bits.Add(this.tbBit26);
            this.bits.Add(this.tbBit27);
            this.bits.Add(this.tbBit28);
            this.bits.Add(this.tbBit29);
            this.bits.Add(this.tbBit30);
            this.bits.Add(this.tbBit31);
            this.bitnums = new ArrayList();
            this.bitnames = new ArrayList();
            this.bitcolors = new ArrayList();
            this.bitgroup = new ArrayList();
            this.groups = new Hashtable();
            this.groupitems = new Hashtable();
            this.groupcolors = new Hashtable();
            this.bitCapArray = new ArrayList();
            for (int i = 0; i < this.bits.Count; i++)
            {
                this.bitcolors.Add(this.bitColorDefault);
            }
            this.zoomFactorCombo.SelectedIndex = 1;
            this.zoom = Convert.ToInt32(this.zoomFactorCombo.Text);
            this.tbBitAll.SelectedIndex = 3;
            this.tbBitAll_Click(this.tbBitAll, new EventArgs());
            this.tboxSpinFile.Text = this.reg.getString(this.spinfileregs);
            this.tboxPropellent.Text = this.reg.getString(this.propellentregs);
            this.propFreqToolStripTextBox.Text = this.reg.getString(this.propFreqRegs);
            if (this.propFreqToolStripTextBox.Text.Length == 0)
            {
                this.propFreqToolStripTextBox.Text = "80000000";
                this.reg.setString(this.propFreqRegs, this.propFreqToolStripTextBox.Text);
            }
            this.initTbCbPeriod();
            this.tbCbScale.SelectedIndex = 0;
        }

        private void About_Click(object sender, EventArgs e)
        {
            new About().Show();
        }

        private void addGroupLabelClick(ToolStripLabel tl)
        {
            tl.ToolTipText = "Click to Delete Group";
            tl.Click += new EventHandler(this.group_Click);
        }

        private void btBrowseSpinFile_Click(object sender, EventArgs e)
        {
            if (this.tboxSpinFile.Text.Length == 0)
            {
                this.openFile.FileName = @".\Propalyzer.spin";
            }
            else
            {
                this.openFile.FileName = this.tboxSpinFile.Text;
            }
            this.openFile.DefaultExt = ".spin";
            this.openFile.Filter = "Spin file (*.spin)|*.spin|All files (*.*)|*.*";
            this.openFile.ShowDialog();
            this.tboxSpinFile.Text = this.openFile.FileName;
            this.reg.setString(this.spinfileregs, this.tboxSpinFile.Text);
        }

        private string capture(int mymask)
        {
            this.tbConsole.Text = "";
            string exp = "OK>";
            string str = this.commPort.sendx("\r", exp, 100);
            this.commPort.send("m");
            str = this.commPort.sendx(string.Format("{0:x8}\r", mymask), exp, 100);
            this.commPort.send("a");
            str = this.commPort.sendx(string.Format("{0:x8}\r", this.arm), exp, 100);
            this.commPort.send("t");
            str = this.commPort.sendx(string.Format("{0:x8}\r", this.trig), exp, 100);
            this.commPort.send("p");
            this.sampleperiod = this.getPeriod();
            str = this.commPort.sendx(string.Format("{0}\r", this.sampleperiod), exp, 100);
            this.commPort.send("s");
            str = this.commPort.sendx("0\r", exp, 100);
            str = this.commPort.sendx("\r", exp, 100);
            this.commPort.flush();
            this.commPort.send("c");
			if (str != null) str = ""; // satisfy warnings
            return this.commPort.wait(exp);
        }

        private void cursor(int x, int y)
        {
            if (x >= 0)
            {
                Brush brush = new SolidBrush(this.optInvertColors.Checked ? Color.Blue : Color.White);
                if (this.bg != null)
                {
                    Bitmap image = (Bitmap) this.bg.Clone();
                    Graphics graphics = Graphics.FromImage(image);
                    graphics.FillRectangle(brush, x, this.yoff, 1, this.disp.Height - ((this.yoff * 3) / 2));
                    Graphics graphics2 = this.disp.CreateGraphics();
                    graphics2.DrawImage(image, 0, 0);
                    graphics2.Dispose();
                    graphics.Dispose();
                    image.Dispose();
                    this.cursorx = x;
                    this.sbXoff.Text = this.xoff.ToString();
                    this.sbXzoom.Text = this.xzoom.ToString();
                    this.sbZoomFactor.Text = this.zoom.ToString();
                }
            }
        }

        private void disp_Click(object sender, EventArgs e)
        {
            this.split.Focus();
        }

        private void disp_DoubleClick(object sender, EventArgs e)
        {
            this.xzoom += this.zoom;
            int num = this.getTick(this.xoff) + this.tickpan;
            int num2 = this.getTick(this.cursorx) + this.tickpan;
            this.tickpan += ((num2 - num) / this.xzoom) + 1;
            this.disp.Refresh();
        }

        private void disp_MouseDown(object sender, MouseEventArgs e)
        {
            this.mousey = e.Y;
            this.mousex = e.X;
        }

        private void disp_MouseMove(object sender, MouseEventArgs e)
        {
            this.sbX.Text = e.X.ToString();
            this.sbY.Text = e.Y.ToString();
            int num = this.getBitlane(e.Y);
            if ((num > -1) && (num < this.bitnums.Count))
            {
                this.sbTrace.Text = this.bitnums[num].ToString();
            }
            if (this.savex != e.X)
            {
                this.showData(e.X);
            }
            this.savex = e.X;
        }

        private void disp_MouseUp(object sender, MouseEventArgs e)
        {
            if (((e.Button == MouseButtons.Left) && (this.mousex != e.X)) && ((Math.Abs((int) (this.mousex - e.X)) > 10) && (this.xratio > 0.0)))
            {
                int num = ((e.X - this.mousex) + 2) / 2;
                this.tickpan = this.getTick(this.mousex) + this.tickpan;
                this.xzoom = ((this.disp.Width / Math.Abs(num)) * this.xzoom) / 2;
                this.disp.Refresh();
            }
            this.mousey2 = e.Y;
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            base.Dispose();
        }

        private int getBitlane(int y)
        {
            return ((y - this.yoff) / this.ydiv);
        }

        private string getGroupValueName(string s)
        {
            return (s + "_VAL");
        }

        private int getPeriod()
        {
            int num = 0;
            int[] numArray = new int[] { 12, 0x19, 50, 100, 200 };
            try
            {
                string[] strArray = this.tbCbPeriod.Text.Split(new char[] { ' ' });
                num = Convert.ToInt32(strArray[0]);
                if (strArray[1].Equals("ns"))
                {
                    for (int i = 0; i < 5; i++)
                    {
                        if (this.tbCbPeriod.Items[i].ToString().Equals(this.tbCbPeriod.Text))
                        {
                            return numArray[i];
                        }
                    }
                    return num;
                }
                if (strArray[1].Equals("us"))
                {
                    return (num * 0x3e8);
                }
                if (strArray[1].Equals("ms"))
                {
                    return (num * 0xf4240);
                }
                if (strArray[1].Equals("s"))
                {
                    num *= 0x3b9aca00;
                }
                return num;
            }
            catch (Exception exception)
            {
                Console.WriteLine(exception.Message);
                MessageBox.Show(this, "Period must be a decimal integer (" + exception.Message + ").", "Period Setting Error", MessageBoxButtons.OK);
            }
            return -1;
        }

        private int getPropFreq()
        {
            int num = -1;
            try
            {
                num = Convert.ToInt32(this.propFreqToolStripTextBox.Text);
                if (num >= 0xf4240)
                {
                    num /= 0xf4240;
                }
                else
                {
                    MessageBox.Show(this, "Propeller Frequency < 1000000 Hz Not Supported.");
                    return -1;
                }
                if (num > 0x3e8)
                {
                    MessageBox.Show(this, "Propeller Frequency > 1000 MHz Not Supported.");
                    return -1;
                }
            }
            catch (Exception)
            {
                MessageBox.Show(this, "Invalid Propeller Frequency " + this.propFreqToolStripTextBox.Text);
                return -1;
            }
            this.reg.setString(this.propFreqRegs, this.propFreqToolStripTextBox.Text);
            return num;
        }

        private void getSettings()
        {
            bool error = false;
            Project project = new Project(this.projFile);
            try
            {
                project.load();
                if (!project.get("progname").Equals(this.programName))
                {
                    MessageBox.Show("Not a " + this.programName + " project file.");
                    return;
                }
                this.projName = project.get("project");
                this.Text = this.programName + " - " + this.projName;
                this.zoom = project.getInt("zoom", ref error);
                this.show = project.getInt("show", ref error);
                this.mask = project.getInt("mask", ref error);
                this.arm = project.getInt("arm", ref error);
                this.trig = project.getInt("trig", ref error);
                this.tbCbPeriod.SelectedIndex = project.getInt("period", ref error);
                this.tbCbScale.SelectedIndex = project.getInt("periodscale", ref error);
                this.xdiv = project.getInt("xdiv", ref error);
                this.ydiv = project.getInt("ydiv", ref error);
                this.xoff = project.getInt("xoff", ref error);
                this.yoff = project.getInt("yoff", ref error);
                this.xzoom = project.getInt("xzoom", ref error);
                this.tickpan = project.getInt("tickpan", ref error);
                this.bitColorDefault = project.getColor("bitColorDefault", ref error);
                this.obitColorDefault = project.getColor("obitColorDefault", ref error);
                this.dispColorDefault = project.getColor("dispColorDefault", ref error);
                this.tickColorDefault = project.getColor("tickColorDefault", ref error);
                this.invertMask = project.getInt("invertMask", ref error);
                this.bitcolornum = project.getInt("bitcolornum", ref error);
                ArrayList list = project.getArray("bitcolors", ref error);
                for (int i = 0; i < list.Count; i++)
                {
                    Color color = Color.FromArgb(Convert.ToInt32(list[i].ToString()));
                    this.bitcolors[i] = color;
                }
                list = project.getArray("zbitCapArray", ref error);
                this.bitCapArray.Clear();
                for (int j = 0; j < list.Count; j++)
                {
                    this.bitCapArray.Add(list[j]);
                }
                Hashtable hashtable = project.getHash("groups", ref error);
                if (!error)
                {
                    this.groups.Clear();
                    this.groups = hashtable;
                }
                ArrayList list2 = new ArrayList();
                foreach (DictionaryEntry entry in this.groups)
                {
                    list2.Add(entry.Key.ToString());
                }
                for (int k = 0; k < list2.Count; k++)
                {
                    string key = list2[k].ToString();
                    list = project.getArray("groupbits-" + key, ref error);
                    if (!error)
                    {
                        for (int num5 = 0; num5 < list.Count; num5++)
                        {
                            int num6 = Convert.ToInt32(list[num5].ToString());
                            list[num5] = num6;
                        }
                        if (this.groups[key] == null)
                        {
                            this.groups.Add(key, list);
                        }
                        else
                        {
                            this.groups[key] = list;
                        }
                    }
                }
                hashtable = project.getHash("groupitems", ref error);
                if (!error)
                {
                    this.groupitems.Clear();
                    this.groupitems = hashtable;
                }
                hashtable = project.getHash("groupcolors", ref error);
                if (!error)
                {
                    this.groupcolors.Clear();
                    this.groupcolors = hashtable;
                }
                list2 = new ArrayList();
                foreach (DictionaryEntry entry2 in this.groupcolors)
                {
                    list2.Add(entry2.Key.ToString());
                }
                for (int m = 0; m < list2.Count; m++)
                {
                    string str5 = list2[m].ToString();
                    if (this.groupcolors[str5] != null)
                    {
                        Color color2 = Color.FromArgb(Convert.ToInt32(this.groupcolors[str5]));
                        this.groupcolors[str5] = color2;
                    }
                }
                list = project.getArray("tbGroups", ref error);
                for (int n = this.tbGroup.Items.Count - 1; n > 0; n--)
                {
                    this.tbGroup.Items.RemoveAt(n);
                }
                for (int num10 = 0; num10 < list.Count; num10++)
                {
                    string text = list[num10].ToString();
                    string s = list[num10 & -2].ToString();
                    if ((num10 % 2) > 0)
                    {
                        ToolStripLabel label = new ToolStripLabel(this.getGroupValueName(s));
                        if (this.groupitems[this.getGroupValueName(s)] != null)
                        {
                            this.groupitems[this.getGroupValueName(s)] = label;
                        }
                        else
                        {
                            this.groupitems.Add(this.getGroupValueName(s), label);
                        }
                        if (this.tbGroup.Items[this.getGroupValueName(s)] == null)
                        {
                            label.Text = text;
                            label.AutoSize = false;
                            label.Width = 60;
                            label.Height = 15;
                            label.BackColor = this.dispColorDefault;
                            label.ForeColor = (Color) this.groupcolors[s];
                            this.tbGroup.Items.Add(label);
                        }
                    }
                    else
                    {
                        ToolStripLabel label2 = new ToolStripLabel(text);
                        this.tbGroup.Items.Add(label2);
                        label2.ForeColor = (Color) this.groupcolors[text];
                        this.addGroupLabelClick(label2);
                        if (this.groupitems[text] != null)
                        {
                            this.groupitems[text] = label2;
                        }
                        else
                        {
                            this.groupitems.Add(text, label2);
                        }
                    }
                }
            }
            catch (Exception exception)
            {
                MessageBox.Show(exception.Message);
            }
            this.tbMaskPattern_Click(this, new EventArgs());
            this.tbArmPattern_Click(this, new EventArgs());
            this.tbTriggerPattern_Click(this, new EventArgs());
            this.tbShowPattern_Click(this, new EventArgs());
            this.xzoom = 1;
            this.tickpan = 0;
            this.disp.Refresh();
        }

        private int getTick(int x)
        {
            int num = (x - this.xoff) / this.xdiv;
            if (num >= 0)
            {
                return num;
            }
            return 0;
        }

        private string getTimeStr(long period)
        {
            int[] numArray = new int[] { 1, 0x3e8, 0xf4240, 0x3b9aca00 };
            string[] strArray = new string[] { "ns", "us", "ms", "s", "m" };
            int num = numArray[this.tbCbScale.SelectedIndex];
            int index = (((int) (Math.Log10((double) period) * 100.0)) / 3) - 1;
            index /= 100;
            if (index > 0)
            {
                float num3 = ((float) period) / ((float) numArray[index]);
                if ((index == 3) && (num3 > 60f))
                {
                    index = 4;
                    num3 /= 60f;
                }
                return (string.Format("{0:#,0.00} ", num3) + strArray[index]);
            }
            return (string.Format("{0:#,0} ", ((float) period) / ((float) num)) + strArray[0]);
        }

        private int getX(int tick)
        {
            return ((tick * this.xdiv) + this.xoff);
        }

        private void group_Click(object sender, EventArgs args)
        {
            try
            {
                ToolStripLabel label = (ToolStripLabel) sender;
                string text = label.Text;
                if (this.groups[text] != null)
                {
                    this.popCbDelGroup.Items.Clear();
                    this.popCbDelGroup.Text = "";
                    if (this.groupitems[this.getGroupValueName(text)] != null)
                    {
                        this.tbGroup.Items.Remove((ToolStripItem) this.groupitems[text]);
                        this.groupitems.Remove(text);
                        this.tbGroup.Items.Remove((ToolStripItem) this.groupitems[this.getGroupValueName(text)]);
                        this.groupitems.Remove(this.getGroupValueName(text));
                    }
                    if (this.groupcolors[text] != null)
                    {
                        this.groupcolors.Remove(text);
                    }
                    ArrayList list = (ArrayList) this.groups[text];
                    foreach (int num in list)
                    {
                        this.bitcolors[num] = this.bitColorDefault;
                    }
                    this.groups.Remove(text);
                }
                this.disp.Refresh();
            }
            catch (Exception exception)
            {
                if (exception != null)
                {
                    Console.WriteLine("'" + exception.Message + "'\n" + exception.StackTrace);
                }
            }
        }

        private void hscroll_Scroll(object sender, ScrollEventArgs e)
        {
            int oldValue = e.OldValue;
            int num2 = e.NewValue - oldValue;
            if (((this.tickpan + num2) > 0) && ((this.tickpan + num2) < this.samples))
            {
                this.tickpan += num2;
            }
            this.disp.Refresh();
        }

        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
            this.menu = new System.Windows.Forms.MenuStrip();
            this.fileToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.newProjectToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.openToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.saveToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.saveAsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.exportDataToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.importDataToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.exitToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.viewToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.mbDeleteAllGroups = new System.Windows.Forms.ToolStripMenuItem();
            this.optInvertColors = new System.Windows.Forms.ToolStripMenuItem();
            this.zoomFactorToolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.zoomFactorCombo = new System.Windows.Forms.ToolStripComboBox();
            this.zoomResetToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.viewInvertColors = new System.Windows.Forms.ToolStripMenuItem();
            this.portToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.anToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.tboxSpinFile = new System.Windows.Forms.ToolStripTextBox();
            this.btBrowseSpinFile = new System.Windows.Forms.ToolStripMenuItem();
            this.propellentFileToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.tboxPropellent = new System.Windows.Forms.ToolStripTextBox();
            this.tbBrowsePropellent = new System.Windows.Forms.ToolStripMenuItem();
            this.propFreqToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.propFreqToolStripTextBox = new System.Windows.Forms.ToolStripTextBox();
            this.propFreqOkToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.helpToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.aboutToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.tbSep1 = new System.Windows.Forms.ToolStripSeparator();
            this.tbSep2 = new System.Windows.Forms.ToolStripSeparator();
            this.tbSep3 = new System.Windows.Forms.ToolStripSeparator();
            this.tools = new System.Windows.Forms.ToolStrip();
            this.tbCapture = new System.Windows.Forms.ToolStripButton();
            this.tbCaptureCont = new System.Windows.Forms.ToolStripButton();
            this.tbSnap1 = new System.Windows.Forms.ToolStripButton();
            this.tbCbPeriod = new System.Windows.Forms.ToolStripComboBox();
            this.tbPanTrigger = new System.Windows.Forms.ToolStripButton();
            this.tbPanLeft = new System.Windows.Forms.ToolStripButton();
            this.tbPanRight = new System.Windows.Forms.ToolStripButton();
            this.tbZoomOut = new System.Windows.Forms.ToolStripButton();
            this.tbZoomIn = new System.Windows.Forms.ToolStripButton();
            this.tbPeriodText = new System.Windows.Forms.ToolStripTextBox();
            this.tbCbScale = new System.Windows.Forms.ToolStripComboBox();
            this.tbDownload = new System.Windows.Forms.ToolStripButton();
            this.tbShowConsole = new System.Windows.Forms.ToolStripButton();
            this.tbOptions = new System.Windows.Forms.ToolStripButton();
            this.tbSep5 = new System.Windows.Forms.ToolStripSeparator();
            this.tbLabMaskPattern = new System.Windows.Forms.ToolStripLabel();
            this.tbMaskPattern = new System.Windows.Forms.ToolStripTextBox();
            this.tbLabArmPattern = new System.Windows.Forms.ToolStripLabel();
            this.tbArmPattern = new System.Windows.Forms.ToolStripTextBox();
            this.tbLabTriggerPattern = new System.Windows.Forms.ToolStripLabel();
            this.tbTriggerPattern = new System.Windows.Forms.ToolStripTextBox();
            this.tbLabShow = new System.Windows.Forms.ToolStripLabel();
            this.tbShowPattern = new System.Windows.Forms.ToolStripTextBox();
            this.disp = new System.Windows.Forms.Panel();
            this.displayPopup = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.zoomInToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.zoomOutToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.popZoomReset = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.popAddToGroup = new System.Windows.Forms.ToolStripMenuItem();
            this.popCbGroup = new System.Windows.Forms.ToolStripComboBox();
            this.popAddToGroupOk = new System.Windows.Forms.ToolStripMenuItem();
            this.popDeleteFromGroup = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator2 = new System.Windows.Forms.ToolStripSeparator();
            this.newGroupToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.popTbNewGroup = new System.Windows.Forms.ToolStripTextBox();
            this.tbNewGroupOk = new System.Windows.Forms.ToolStripMenuItem();
            this.popDelGroup = new System.Windows.Forms.ToolStripMenuItem();
            this.popCbDelGroup = new System.Windows.Forms.ToolStripComboBox();
            this.popDelGroupOk = new System.Windows.Forms.ToolStripMenuItem();
            this.popDeleteAllGroups = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator3 = new System.Windows.Forms.ToolStripSeparator();
            this.popSetArm = new System.Windows.Forms.ToolStripMenuItem();
            this.popSetTrigger = new System.Windows.Forms.ToolStripMenuItem();
            this.popSetArmTrigger = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator4 = new System.Windows.Forms.ToolStripSeparator();
            this.popList = new System.Windows.Forms.ToolStripMenuItem();
            this.split = new System.Windows.Forms.SplitContainer();
            this.tbGroup = new System.Windows.Forms.ToolStrip();
            this.tbGroupLabel = new System.Windows.Forms.ToolStripLabel();
            this.tbConsole = new System.Windows.Forms.TextBox();
            this.toolbits = new System.Windows.Forms.ToolStrip();
            this.tbBitAll = new System.Windows.Forms.ToolStripComboBox();
            this.tbRefresh = new System.Windows.Forms.ToolStripButton();
            this.tbFlipAll = new System.Windows.Forms.ToolStripButton();
            this.tbBit0 = new System.Windows.Forms.ToolStripButton();
            this.tbBit1 = new System.Windows.Forms.ToolStripButton();
            this.tbBit2 = new System.Windows.Forms.ToolStripButton();
            this.tbBit3 = new System.Windows.Forms.ToolStripButton();
            this.tbBit4 = new System.Windows.Forms.ToolStripButton();
            this.tbBit5 = new System.Windows.Forms.ToolStripButton();
            this.tbBit6 = new System.Windows.Forms.ToolStripButton();
            this.tbBit7 = new System.Windows.Forms.ToolStripButton();
            this.tbBit8 = new System.Windows.Forms.ToolStripButton();
            this.tbBit9 = new System.Windows.Forms.ToolStripButton();
            this.tbBit10 = new System.Windows.Forms.ToolStripButton();
            this.tbBit11 = new System.Windows.Forms.ToolStripButton();
            this.tbBit12 = new System.Windows.Forms.ToolStripButton();
            this.tbBit13 = new System.Windows.Forms.ToolStripButton();
            this.tbBit14 = new System.Windows.Forms.ToolStripButton();
            this.tbBit15 = new System.Windows.Forms.ToolStripButton();
            this.tbBit16 = new System.Windows.Forms.ToolStripButton();
            this.tbBit17 = new System.Windows.Forms.ToolStripButton();
            this.tbBit18 = new System.Windows.Forms.ToolStripButton();
            this.tbBit19 = new System.Windows.Forms.ToolStripButton();
            this.tbBit20 = new System.Windows.Forms.ToolStripButton();
            this.tbBit21 = new System.Windows.Forms.ToolStripButton();
            this.tbBit22 = new System.Windows.Forms.ToolStripButton();
            this.tbBit23 = new System.Windows.Forms.ToolStripButton();
            this.tbBit24 = new System.Windows.Forms.ToolStripButton();
            this.tbBit25 = new System.Windows.Forms.ToolStripButton();
            this.tbBit26 = new System.Windows.Forms.ToolStripButton();
            this.tbBit27 = new System.Windows.Forms.ToolStripButton();
            this.tbBit28 = new System.Windows.Forms.ToolStripButton();
            this.tbBit29 = new System.Windows.Forms.ToolStripButton();
            this.tbBit30 = new System.Windows.Forms.ToolStripButton();
            this.tbBit31 = new System.Windows.Forms.ToolStripButton();
            this.openFile = new System.Windows.Forms.OpenFileDialog();
            this.statusBar = new System.Windows.Forms.StatusStrip();
            this.sbLabPin = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbTrace = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbLabTick = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbTick = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbLabTime = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbTime = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbLableValue = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbValue = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbXoff = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbXzoom = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbZoomFactor = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbX = new System.Windows.Forms.ToolStripStatusLabel();
            this.sbY = new System.Windows.Forms.ToolStripStatusLabel();
            this.saveFile = new System.Windows.Forms.SaveFileDialog();
            this.menu.SuspendLayout();
            this.tools.SuspendLayout();
            this.displayPopup.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.split)).BeginInit();
            this.split.Panel1.SuspendLayout();
            this.split.Panel2.SuspendLayout();
            this.split.SuspendLayout();
            this.tbGroup.SuspendLayout();
            this.toolbits.SuspendLayout();
            this.statusBar.SuspendLayout();
            this.SuspendLayout();
            // 
            // menu
            // 
            this.menu.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fileToolStripMenuItem,
            this.viewToolStripMenuItem1,
            this.viewInvertColors,
            this.helpToolStripMenuItem});
            this.menu.Location = new System.Drawing.Point(0, 0);
            this.menu.Name = "menu";
            this.menu.Size = new System.Drawing.Size(992, 24);
            this.menu.TabIndex = 0;
            this.menu.Text = "menuStrip1";
            // 
            // fileToolStripMenuItem
            // 
            this.fileToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.newProjectToolStripMenuItem,
            this.openToolStripMenuItem,
            this.saveToolStripMenuItem,
            this.saveAsToolStripMenuItem,
            this.exportDataToolStripMenuItem,
            this.importDataToolStripMenuItem,
            this.exitToolStripMenuItem});
            this.fileToolStripMenuItem.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.fileToolStripMenuItem.Name = "fileToolStripMenuItem";
            this.fileToolStripMenuItem.Size = new System.Drawing.Size(36, 20);
            this.fileToolStripMenuItem.Text = "File";
            // 
            // newProjectToolStripMenuItem
            // 
            this.newProjectToolStripMenuItem.Name = "newProjectToolStripMenuItem";
            this.newProjectToolStripMenuItem.Size = new System.Drawing.Size(117, 22);
            this.newProjectToolStripMenuItem.Text = "&New";
            this.newProjectToolStripMenuItem.Click += new System.EventHandler(this.newProjectToolStripMenuItem_Click);
            // 
            // openToolStripMenuItem
            // 
            this.openToolStripMenuItem.Name = "openToolStripMenuItem";
            this.openToolStripMenuItem.Size = new System.Drawing.Size(117, 22);
            this.openToolStripMenuItem.Text = "&Open";
            this.openToolStripMenuItem.Click += new System.EventHandler(this.openToolStripMenuItem_Click);
            // 
            // saveToolStripMenuItem
            // 
            this.saveToolStripMenuItem.Name = "saveToolStripMenuItem";
            this.saveToolStripMenuItem.Size = new System.Drawing.Size(117, 22);
            this.saveToolStripMenuItem.Text = "&Save";
            this.saveToolStripMenuItem.Click += new System.EventHandler(this.saveToolStripMenuItem_Click);
            // 
            // saveAsToolStripMenuItem
            // 
            this.saveAsToolStripMenuItem.Name = "saveAsToolStripMenuItem";
            this.saveAsToolStripMenuItem.Size = new System.Drawing.Size(117, 22);
            this.saveAsToolStripMenuItem.Text = "Save &As";
            this.saveAsToolStripMenuItem.Click += new System.EventHandler(this.saveAsToolStripMenuItem_Click);
            // 
            // exportDataToolStripMenuItem
            // 
            this.exportDataToolStripMenuItem.Name = "exportDataToolStripMenuItem";
            this.exportDataToolStripMenuItem.Size = new System.Drawing.Size(117, 22);
            this.exportDataToolStripMenuItem.Text = "&Export";
            this.exportDataToolStripMenuItem.ToolTipText = "Export Waveform Data to a Text File";
            this.exportDataToolStripMenuItem.Click += new System.EventHandler(this.toolStripExport_Click);
            // 
            // importDataToolStripMenuItem
            // 
            this.importDataToolStripMenuItem.Name = "importDataToolStripMenuItem";
            this.importDataToolStripMenuItem.Size = new System.Drawing.Size(117, 22);
            this.importDataToolStripMenuItem.Text = "&Import";
            this.importDataToolStripMenuItem.ToolTipText = "Import Waveform Data from a Text File";
            this.importDataToolStripMenuItem.Click += new System.EventHandler(this.toolStripImport_Click);
            // 
            // exitToolStripMenuItem
            // 
            this.exitToolStripMenuItem.Name = "exitToolStripMenuItem";
            this.exitToolStripMenuItem.Size = new System.Drawing.Size(117, 22);
            this.exitToolStripMenuItem.Text = "E&xit";
            this.exitToolStripMenuItem.ToolTipText = "Exit Program";
            this.exitToolStripMenuItem.Click += new System.EventHandler(this.exitToolStripMenuItem_Click);
            // 
            // viewToolStripMenuItem1
            // 
            this.viewToolStripMenuItem1.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.mbDeleteAllGroups,
            this.optInvertColors,
            this.zoomFactorToolStripMenuItem1,
            this.zoomResetToolStripMenuItem});
            this.viewToolStripMenuItem1.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.viewToolStripMenuItem1.Name = "viewToolStripMenuItem1";
            this.viewToolStripMenuItem1.Size = new System.Drawing.Size(46, 20);
            this.viewToolStripMenuItem1.Text = "View";
            // 
            // mbDeleteAllGroups
            // 
            this.mbDeleteAllGroups.Name = "mbDeleteAllGroups";
            this.mbDeleteAllGroups.Size = new System.Drawing.Size(168, 22);
            this.mbDeleteAllGroups.Text = "Delete All Groups";
            this.mbDeleteAllGroups.Click += new System.EventHandler(this.mbDeleteAllGroups_Click);
            // 
            // optInvertColors
            // 
            this.optInvertColors.CheckOnClick = true;
            this.optInvertColors.Name = "optInvertColors";
            this.optInvertColors.Size = new System.Drawing.Size(168, 22);
            this.optInvertColors.Text = "Invert Colors";
            this.optInvertColors.Click += new System.EventHandler(this.optInvertColors_Click);
            // 
            // zoomFactorToolStripMenuItem1
            // 
            this.zoomFactorToolStripMenuItem1.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.zoomFactorCombo});
            this.zoomFactorToolStripMenuItem1.Name = "zoomFactorToolStripMenuItem1";
            this.zoomFactorToolStripMenuItem1.Size = new System.Drawing.Size(168, 22);
            this.zoomFactorToolStripMenuItem1.Text = "Zoom Factor";
            // 
            // zoomFactorCombo
            // 
            this.zoomFactorCombo.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.zoomFactorCombo.Items.AddRange(new object[] {
            "1",
            "2",
            "3",
            "4",
            "5",
            "10",
            "15",
            "20",
            "25",
            "30",
            "40",
            "50",
            "75",
            "100"});
            this.zoomFactorCombo.Name = "zoomFactorCombo";
            this.zoomFactorCombo.Size = new System.Drawing.Size(121, 23);
            this.zoomFactorCombo.SelectedIndexChanged += new System.EventHandler(this.zoomFactorCombo_SelectedIndexChanged);
            // 
            // zoomResetToolStripMenuItem
            // 
            this.zoomResetToolStripMenuItem.Name = "zoomResetToolStripMenuItem";
            this.zoomResetToolStripMenuItem.Size = new System.Drawing.Size(168, 22);
            this.zoomResetToolStripMenuItem.Text = "Zoom Reset";
            this.zoomResetToolStripMenuItem.Click += new System.EventHandler(this.zoomResetToolStripMenuItem_Click);
            // 
            // viewInvertColors
            // 
            this.viewInvertColors.CheckOnClick = true;
            this.viewInvertColors.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.portToolStripMenuItem,
            this.anToolStripMenuItem,
            this.propellentFileToolStripMenuItem,
            this.propFreqToolStripMenuItem});
            this.viewInvertColors.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.viewInvertColors.Name = "viewInvertColors";
            this.viewInvertColors.Size = new System.Drawing.Size(61, 20);
            this.viewInvertColors.Text = "Options";
            // 
            // portToolStripMenuItem
            // 
            this.portToolStripMenuItem.Name = "portToolStripMenuItem";
            this.portToolStripMenuItem.Size = new System.Drawing.Size(163, 22);
            this.portToolStripMenuItem.Text = "Port Settings";
            this.portToolStripMenuItem.Click += new System.EventHandler(this.portToolStripMenuItem_Click);
            // 
            // anToolStripMenuItem
            // 
            this.anToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.tboxSpinFile,
            this.btBrowseSpinFile});
            this.anToolStripMenuItem.Name = "anToolStripMenuItem";
            this.anToolStripMenuItem.Size = new System.Drawing.Size(163, 22);
            this.anToolStripMenuItem.Text = "Spin File";
            // 
            // tboxSpinFile
            // 
            this.tboxSpinFile.Name = "tboxSpinFile";
            this.tboxSpinFile.Size = new System.Drawing.Size(100, 23);
            // 
            // btBrowseSpinFile
            // 
            this.btBrowseSpinFile.Name = "btBrowseSpinFile";
            this.btBrowseSpinFile.Size = new System.Drawing.Size(160, 22);
            this.btBrowseSpinFile.Text = "Browse";
            this.btBrowseSpinFile.Click += new System.EventHandler(this.btBrowseSpinFile_Click);
            // 
            // propellentFileToolStripMenuItem
            // 
            this.propellentFileToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.tboxPropellent,
            this.tbBrowsePropellent});
            this.propellentFileToolStripMenuItem.Name = "propellentFileToolStripMenuItem";
            this.propellentFileToolStripMenuItem.Size = new System.Drawing.Size(163, 22);
            this.propellentFileToolStripMenuItem.Text = "Propellent File";
            // 
            // tboxPropellent
            // 
            this.tboxPropellent.Name = "tboxPropellent";
            this.tboxPropellent.Size = new System.Drawing.Size(100, 23);
            // 
            // tbBrowsePropellent
            // 
            this.tbBrowsePropellent.Name = "tbBrowsePropellent";
            this.tbBrowsePropellent.Size = new System.Drawing.Size(160, 22);
            this.tbBrowsePropellent.Text = "Browse";
            this.tbBrowsePropellent.Click += new System.EventHandler(this.tbBrowsePropellent_Click);
            // 
            // propFreqToolStripMenuItem
            // 
            this.propFreqToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.propFreqToolStripTextBox,
            this.propFreqOkToolStripMenuItem});
            this.propFreqToolStripMenuItem.Name = "propFreqToolStripMenuItem";
            this.propFreqToolStripMenuItem.Size = new System.Drawing.Size(163, 22);
            this.propFreqToolStripMenuItem.Text = "Clock Frequency";
            this.propFreqToolStripMenuItem.ToolTipText = "Clock frequency is not automatic and should be set = xtal*pll as in the Propalyze" +
                "r.spin file.";
            // 
            // propFreqToolStripTextBox
            // 
            this.propFreqToolStripTextBox.Name = "propFreqToolStripTextBox";
            this.propFreqToolStripTextBox.Size = new System.Drawing.Size(100, 23);
            this.propFreqToolStripTextBox.Text = "100000000";
            // 
            // propFreqOkToolStripMenuItem
            // 
            this.propFreqOkToolStripMenuItem.Name = "propFreqOkToolStripMenuItem";
            this.propFreqOkToolStripMenuItem.Size = new System.Drawing.Size(160, 22);
            this.propFreqOkToolStripMenuItem.Text = "Ok";
            this.propFreqOkToolStripMenuItem.Click += new System.EventHandler(this.propFreqOkToolStripMenuItem_Click);
            // 
            // helpToolStripMenuItem
            // 
            this.helpToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.aboutToolStripMenuItem});
            this.helpToolStripMenuItem.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.helpToolStripMenuItem.Name = "helpToolStripMenuItem";
            this.helpToolStripMenuItem.Size = new System.Drawing.Size(43, 20);
            this.helpToolStripMenuItem.Text = "Help";
            // 
            // aboutToolStripMenuItem
            // 
            this.aboutToolStripMenuItem.Name = "aboutToolStripMenuItem";
            this.aboutToolStripMenuItem.Size = new System.Drawing.Size(108, 22);
            this.aboutToolStripMenuItem.Text = "About";
            this.aboutToolStripMenuItem.Click += new System.EventHandler(this.About_Click);
            // 
            // tbSep1
            // 
            this.tbSep1.Name = "tbSep1";
            this.tbSep1.Size = new System.Drawing.Size(6, 25);
            // 
            // tbSep2
            // 
            this.tbSep2.Name = "tbSep2";
            this.tbSep2.Size = new System.Drawing.Size(6, 25);
            // 
            // tbSep3
            // 
            this.tbSep3.Name = "tbSep3";
            this.tbSep3.Size = new System.Drawing.Size(6, 25);
            // 
            // tools
            // 
            this.tools.Font = new System.Drawing.Font("Segoe UI Light", 9F);
            this.tools.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.tbCapture,
            this.tbCaptureCont,
            this.tbSnap1,
            this.tbCbPeriod,
            this.tbSep1,
            this.tbPanTrigger,
            this.tbPanLeft,
            this.tbPanRight,
            this.tbZoomOut,
            this.tbZoomIn,
            this.tbSep2,
            this.tbPeriodText,
            this.tbCbScale,
            this.tbDownload,
            this.tbShowConsole,
            this.tbOptions,
            this.tbSep5,
            this.tbLabMaskPattern,
            this.tbMaskPattern,
            this.tbLabArmPattern,
            this.tbArmPattern,
            this.tbLabTriggerPattern,
            this.tbTriggerPattern,
            this.tbLabShow,
            this.tbShowPattern,
            this.tbSep3});
            this.tools.Location = new System.Drawing.Point(0, 24);
            this.tools.Name = "tools";
            this.tools.Size = new System.Drawing.Size(992, 25);
            this.tools.TabIndex = 1;
            // 
            // tbCapture
            // 
            this.tbCapture.CheckOnClick = true;
            this.tbCapture.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbCapture.Image = ((System.Drawing.Image)(resources.GetObject("tbCapture.Image")));
            this.tbCapture.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbCapture.Name = "tbCapture";
            this.tbCapture.Size = new System.Drawing.Size(23, 22);
            this.tbCapture.ToolTipText = "Capture with  Arm and Trigger Rules";
            this.tbCapture.Click += new System.EventHandler(this.tbCapture_Click);
            // 
            // tbCaptureCont
            // 
            this.tbCaptureCont.CheckOnClick = true;
            this.tbCaptureCont.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbCaptureCont.Image = ((System.Drawing.Image)(resources.GetObject("tbCaptureCont.Image")));
            this.tbCaptureCont.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbCaptureCont.Name = "tbCaptureCont";
            this.tbCaptureCont.Size = new System.Drawing.Size(23, 22);
            this.tbCaptureCont.ToolTipText = "Capture Continuously";
            this.tbCaptureCont.Click += new System.EventHandler(this.tbCaptureCont_Click);
            // 
            // tbSnap1
            // 
            this.tbSnap1.CheckOnClick = true;
            this.tbSnap1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbSnap1.Image = ((System.Drawing.Image)(resources.GetObject("tbSnap1.Image")));
            this.tbSnap1.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbSnap1.Name = "tbSnap1";
            this.tbSnap1.Size = new System.Drawing.Size(23, 22);
            this.tbSnap1.ToolTipText = "Take Snapshot of Current Activity";
            this.tbSnap1.Click += new System.EventHandler(this.tbSnap_Click);
            // 
            // tbCbPeriod
            // 
            this.tbCbPeriod.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.tbCbPeriod.Items.AddRange(new object[] {
            "12 ns",
            "25 ns",
            "50 ns",
            "100 ns",
            "200 ns",
            "250 ns",
            "500 ns",
            "1 us",
            "2 us",
            "5 us",
            "10 us",
            "15 us",
            "20 us",
            "25 us",
            "30 us",
            "35 us",
            "40 us",
            "45 us",
            "50 us",
            "60 us",
            "70 us",
            "80 us",
            "90 us",
            "100 us",
            "125 us",
            "150 us",
            "175 us",
            "200 us",
            "225 us",
            "250 us",
            "275 us",
            "300 us",
            "350 us",
            "400 us",
            "450 us",
            "500 us",
            "600 us",
            "700 us",
            "800 us",
            "900 us",
            "1 ms",
            "2 ms",
            "3 ms",
            "4 ms",
            "5 ms",
            "6 ms",
            "7 ms",
            "8 ms",
            "9 ms",
            "10 ms",
            "15 ms",
            "20 ms",
            "25 ms",
            "30 ms",
            "35 ms",
            "40 ms",
            "45 ms",
            "50 ms",
            "60 ms",
            "70 ms",
            "80 ms",
            "90 ms",
            "100 ms",
            "125 ms",
            "150 ms",
            "175 ms",
            "200 ms",
            "250 ms",
            "300 ms",
            "400 ms",
            "500 ms",
            "600 ms",
            "700 ms",
            "800 ms",
            "900 ms",
            "1 s",
            "2 s"});
            this.tbCbPeriod.Name = "tbCbPeriod";
            this.tbCbPeriod.Size = new System.Drawing.Size(75, 25);
            this.tbCbPeriod.ToolTipText = "Capture Sample Period - Affects display data only after capture. Resolution Prope" +
                "ller Code Dependent.";
            this.tbCbPeriod.Click += new System.EventHandler(this.tbCbPeriod_Click);
            // 
            // tbPanTrigger
            // 
            this.tbPanTrigger.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbPanTrigger.Image = ((System.Drawing.Image)(resources.GetObject("tbPanTrigger.Image")));
            this.tbPanTrigger.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbPanTrigger.Name = "tbPanTrigger";
            this.tbPanTrigger.Size = new System.Drawing.Size(23, 22);
            this.tbPanTrigger.ToolTipText = "Zoom Trigger";
            this.tbPanTrigger.Click += new System.EventHandler(this.tbPanTrigger_Click);
            // 
            // tbPanLeft
            // 
            this.tbPanLeft.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbPanLeft.Image = ((System.Drawing.Image)(resources.GetObject("tbPanLeft.Image")));
            this.tbPanLeft.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbPanLeft.Name = "tbPanLeft";
            this.tbPanLeft.Size = new System.Drawing.Size(23, 22);
            this.tbPanLeft.ToolTipText = "Pan Left - Go Back in Time";
            this.tbPanLeft.Click += new System.EventHandler(this.tbPanLeft_Click);
            // 
            // tbPanRight
            // 
            this.tbPanRight.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbPanRight.Image = ((System.Drawing.Image)(resources.GetObject("tbPanRight.Image")));
            this.tbPanRight.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbPanRight.Name = "tbPanRight";
            this.tbPanRight.Size = new System.Drawing.Size(23, 22);
            this.tbPanRight.ToolTipText = "Pan Right - Go Forward in Time";
            this.tbPanRight.Click += new System.EventHandler(this.tbPanRight_Click);
            // 
            // tbZoomOut
            // 
            this.tbZoomOut.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbZoomOut.Image = ((System.Drawing.Image)(resources.GetObject("tbZoomOut.Image")));
            this.tbZoomOut.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbZoomOut.Name = "tbZoomOut";
            this.tbZoomOut.Size = new System.Drawing.Size(23, 22);
            this.tbZoomOut.ToolTipText = "Zoom Out - Show More Time.";
            this.tbZoomOut.Click += new System.EventHandler(this.tbZoomOut_Click);
            // 
            // tbZoomIn
            // 
            this.tbZoomIn.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbZoomIn.Image = ((System.Drawing.Image)(resources.GetObject("tbZoomIn.Image")));
            this.tbZoomIn.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbZoomIn.Name = "tbZoomIn";
            this.tbZoomIn.Size = new System.Drawing.Size(23, 22);
            this.tbZoomIn.ToolTipText = "Zoom In - Show Less Time.";
            this.tbZoomIn.Click += new System.EventHandler(this.tbZoomIn_Click);
            // 
            // tbPeriodText
            // 
            this.tbPeriodText.Margin = new System.Windows.Forms.Padding(1, 5, 0, 0);
            this.tbPeriodText.Name = "tbPeriodText";
            this.tbPeriodText.Padding = new System.Windows.Forms.Padding(0, 7, 0, 4);
            this.tbPeriodText.Size = new System.Drawing.Size(30, 23);
            this.tbPeriodText.Text = "50";
            this.tbPeriodText.TextBoxTextAlign = System.Windows.Forms.HorizontalAlignment.Right;
            this.tbPeriodText.ToolTipText = "Sample Period - 50ns Minimum - Autoadjusted";
            this.tbPeriodText.Visible = false;
            this.tbPeriodText.Leave += new System.EventHandler(this.tbPeriod_Leave);
            this.tbPeriodText.TextChanged += new System.EventHandler(this.tbPeriod_TextChanged);
            // 
            // tbCbScale
            // 
            this.tbCbScale.AutoSize = false;
            this.tbCbScale.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.tbCbScale.DropDownWidth = 40;
            this.tbCbScale.Items.AddRange(new object[] {
            "ns",
            "us",
            "ms",
            "s"});
            this.tbCbScale.Name = "tbCbScale";
            this.tbCbScale.Padding = new System.Windows.Forms.Padding(0, 0, 0, 2);
            this.tbCbScale.Size = new System.Drawing.Size(5, 23);
            this.tbCbScale.ToolTipText = "Sample Period Time Scale";
            this.tbCbScale.Visible = false;
            this.tbCbScale.SelectedIndexChanged += new System.EventHandler(this.tbCbScale_SelectedIndexChanged);
            // 
            // tbDownload
            // 
            this.tbDownload.Alignment = System.Windows.Forms.ToolStripItemAlignment.Right;
            this.tbDownload.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbDownload.Image = ((System.Drawing.Image)(resources.GetObject("tbDownload.Image")));
            this.tbDownload.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbDownload.Name = "tbDownload";
            this.tbDownload.Size = new System.Drawing.Size(23, 22);
            this.tbDownload.Text = "Download";
            this.tbDownload.ToolTipText = "Download Analyzer";
            this.tbDownload.Click += new System.EventHandler(this.tbDownload_Click);
            // 
            // tbShowConsole
            // 
            this.tbShowConsole.Alignment = System.Windows.Forms.ToolStripItemAlignment.Right;
            this.tbShowConsole.CheckOnClick = true;
            this.tbShowConsole.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbShowConsole.Image = ((System.Drawing.Image)(resources.GetObject("tbShowConsole.Image")));
            this.tbShowConsole.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbShowConsole.Name = "tbShowConsole";
            this.tbShowConsole.Size = new System.Drawing.Size(23, 22);
            this.tbShowConsole.ToolTipText = "Connect Serial Data to Debug Window";
            this.tbShowConsole.Click += new System.EventHandler(this.tbShowConsole_Click);
            // 
            // tbOptions
            // 
            this.tbOptions.Alignment = System.Windows.Forms.ToolStripItemAlignment.Right;
            this.tbOptions.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbOptions.Image = ((System.Drawing.Image)(resources.GetObject("tbOptions.Image")));
            this.tbOptions.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbOptions.Name = "tbOptions";
            this.tbOptions.Size = new System.Drawing.Size(23, 22);
            this.tbOptions.Text = "Options";
            this.tbOptions.ToolTipText = "Port Options";
            this.tbOptions.Click += new System.EventHandler(this.tbOptions_Click);
            // 
            // tbSep5
            // 
            this.tbSep5.Alignment = System.Windows.Forms.ToolStripItemAlignment.Right;
            this.tbSep5.Name = "tbSep5";
            this.tbSep5.Size = new System.Drawing.Size(6, 25);
            // 
            // tbLabMaskPattern
            // 
            this.tbLabMaskPattern.Font = new System.Drawing.Font("Microsoft Sans Serif", 7.8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbLabMaskPattern.Name = "tbLabMaskPattern";
            this.tbLabMaskPattern.Size = new System.Drawing.Size(33, 22);
            this.tbLabMaskPattern.Text = "Mask";
            // 
            // tbMaskPattern
            // 
            this.tbMaskPattern.BackColor = System.Drawing.SystemColors.ControlLightLight;
            this.tbMaskPattern.Font = new System.Drawing.Font("Segoe UI Light", 9F);
            this.tbMaskPattern.Margin = new System.Windows.Forms.Padding(1, 1, 1, 0);
            this.tbMaskPattern.Name = "tbMaskPattern";
            this.tbMaskPattern.Size = new System.Drawing.Size(70, 24);
            this.tbMaskPattern.Text = "FFFFFFFF";
            this.tbMaskPattern.TextBoxTextAlign = System.Windows.Forms.HorizontalAlignment.Right;
            this.tbMaskPattern.Click += new System.EventHandler(this.tbMaskPattern_Click);
            this.tbMaskPattern.TextChanged += new System.EventHandler(this.tbMaskPattern_TextChanged);
            // 
            // tbLabArmPattern
            // 
            this.tbLabArmPattern.Font = new System.Drawing.Font("Microsoft Sans Serif", 7.8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbLabArmPattern.Name = "tbLabArmPattern";
            this.tbLabArmPattern.Size = new System.Drawing.Size(25, 22);
            this.tbLabArmPattern.Text = "Arm";
            // 
            // tbArmPattern
            // 
            this.tbArmPattern.BackColor = System.Drawing.SystemColors.ControlLightLight;
            this.tbArmPattern.Font = new System.Drawing.Font("Segoe UI Light", 9F);
            this.tbArmPattern.Margin = new System.Windows.Forms.Padding(1, 1, 1, 0);
            this.tbArmPattern.Name = "tbArmPattern";
            this.tbArmPattern.Size = new System.Drawing.Size(70, 24);
            this.tbArmPattern.Text = "FFFFFFFF";
            this.tbArmPattern.TextBoxTextAlign = System.Windows.Forms.HorizontalAlignment.Right;
            this.tbArmPattern.Click += new System.EventHandler(this.tbArmPattern_Click);
            this.tbArmPattern.TextChanged += new System.EventHandler(this.tbArmPattern_TextChanged);
            // 
            // tbLabTriggerPattern
            // 
            this.tbLabTriggerPattern.Font = new System.Drawing.Font("Microsoft Sans Serif", 7.8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbLabTriggerPattern.Name = "tbLabTriggerPattern";
            this.tbLabTriggerPattern.Size = new System.Drawing.Size(40, 22);
            this.tbLabTriggerPattern.Text = "Trigger";
            // 
            // tbTriggerPattern
            // 
            this.tbTriggerPattern.BackColor = System.Drawing.SystemColors.ControlLightLight;
            this.tbTriggerPattern.Font = new System.Drawing.Font("Segoe UI Light", 9F);
            this.tbTriggerPattern.Margin = new System.Windows.Forms.Padding(1, 1, 1, 0);
            this.tbTriggerPattern.Name = "tbTriggerPattern";
            this.tbTriggerPattern.Size = new System.Drawing.Size(70, 24);
            this.tbTriggerPattern.Text = "FFFFFFFF";
            this.tbTriggerPattern.TextBoxTextAlign = System.Windows.Forms.HorizontalAlignment.Right;
            this.tbTriggerPattern.Click += new System.EventHandler(this.tbTriggerPattern_Click);
            this.tbTriggerPattern.TextChanged += new System.EventHandler(this.tbTriggerPattern_TextChanged);
            // 
            // tbLabShow
            // 
            this.tbLabShow.Font = new System.Drawing.Font("Microsoft Sans Serif", 7.8F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbLabShow.Name = "tbLabShow";
            this.tbLabShow.Size = new System.Drawing.Size(34, 22);
            this.tbLabShow.Text = "Show";
            this.tbLabShow.ToolTipText = "Set Bit Traces to Show in Display";
            // 
            // tbShowPattern
            // 
            this.tbShowPattern.BackColor = System.Drawing.SystemColors.ControlLightLight;
            this.tbShowPattern.Font = new System.Drawing.Font("Segoe UI Light", 9F);
            this.tbShowPattern.Margin = new System.Windows.Forms.Padding(1, 1, 1, 0);
            this.tbShowPattern.Name = "tbShowPattern";
            this.tbShowPattern.Size = new System.Drawing.Size(70, 24);
            this.tbShowPattern.Text = "FFFFFFFF";
            this.tbShowPattern.TextBoxTextAlign = System.Windows.Forms.HorizontalAlignment.Right;
            this.tbShowPattern.ToolTipText = "Set Bit Traces to Show in Display";
            this.tbShowPattern.Click += new System.EventHandler(this.tbShowPattern_Click);
            this.tbShowPattern.TextChanged += new System.EventHandler(this.tbShowPattern_TextChanged);
            // 
            // disp
            // 
            this.disp.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.disp.AutoScroll = true;
            this.disp.BackColor = System.Drawing.Color.Black;
            this.disp.ContextMenuStrip = this.displayPopup;
            this.disp.Location = new System.Drawing.Point(3, 24);
            this.disp.Name = "disp";
            this.disp.Size = new System.Drawing.Size(987, 305);
            this.disp.TabIndex = 2;
            this.disp.Click += new System.EventHandler(this.disp_Click);
            this.disp.DoubleClick += new System.EventHandler(this.disp_DoubleClick);
            this.disp.MouseDown += new System.Windows.Forms.MouseEventHandler(this.disp_MouseDown);
            this.disp.MouseMove += new System.Windows.Forms.MouseEventHandler(this.disp_MouseMove);
            this.disp.MouseUp += new System.Windows.Forms.MouseEventHandler(this.disp_MouseUp);
            // 
            // displayPopup
            // 
            this.displayPopup.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.zoomInToolStripMenuItem,
            this.zoomOutToolStripMenuItem,
            this.popZoomReset,
            this.toolStripSeparator1,
            this.popAddToGroup,
            this.popDeleteFromGroup,
            this.toolStripSeparator2,
            this.newGroupToolStripMenuItem,
            this.popDelGroup,
            this.popDeleteAllGroups,
            this.toolStripSeparator3,
            this.popSetArm,
            this.popSetTrigger,
            this.popSetArmTrigger,
            this.toolStripSeparator4,
            this.popList});
            this.displayPopup.Name = "displayPopup";
            this.displayPopup.ShowImageMargin = false;
            this.displayPopup.Size = new System.Drawing.Size(241, 316);
            // 
            // zoomInToolStripMenuItem
            // 
            this.zoomInToolStripMenuItem.Name = "zoomInToolStripMenuItem";
            this.zoomInToolStripMenuItem.Size = new System.Drawing.Size(240, 24);
            this.zoomInToolStripMenuItem.Text = "Zoom In (Also Double Click)";
            this.zoomInToolStripMenuItem.Click += new System.EventHandler(this.zoomInToolStripMenuItem_Click);
            // 
            // zoomOutToolStripMenuItem
            // 
            this.zoomOutToolStripMenuItem.Name = "zoomOutToolStripMenuItem";
            this.zoomOutToolStripMenuItem.Size = new System.Drawing.Size(240, 24);
            this.zoomOutToolStripMenuItem.Text = "Zoom Out";
            this.zoomOutToolStripMenuItem.Click += new System.EventHandler(this.zoomOutToolStripMenuItem_Click);
            // 
            // popZoomReset
            // 
            this.popZoomReset.Name = "popZoomReset";
            this.popZoomReset.Size = new System.Drawing.Size(240, 24);
            this.popZoomReset.Text = "Zoom Reset";
            this.popZoomReset.Click += new System.EventHandler(this.popZoomReset_Click);
            // 
            // toolStripSeparator1
            // 
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new System.Drawing.Size(237, 6);
            // 
            // popAddToGroup
            // 
            this.popAddToGroup.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.popCbGroup,
            this.popAddToGroupOk});
            this.popAddToGroup.Name = "popAddToGroup";
            this.popAddToGroup.Size = new System.Drawing.Size(240, 24);
            this.popAddToGroup.Text = "Add to Group";
            // 
            // popCbGroup
            // 
            this.popCbGroup.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.popCbGroup.Name = "popCbGroup";
            this.popCbGroup.Size = new System.Drawing.Size(121, 23);
            this.popCbGroup.Sorted = true;
            this.popCbGroup.ToolTipText = "Choose Group to Add Bit";
            this.popCbGroup.DropDown += new System.EventHandler(this.popAddToGroup_DropDown);
            this.popCbGroup.Paint += new System.Windows.Forms.PaintEventHandler(this.popCbGroup_Paint);
            // 
            // popAddToGroupOk
            // 
            this.popAddToGroupOk.Name = "popAddToGroupOk";
            this.popAddToGroupOk.Size = new System.Drawing.Size(181, 22);
            this.popAddToGroupOk.Text = "Ok";
            this.popAddToGroupOk.Click += new System.EventHandler(this.popAddToGroupOk_Click);
            // 
            // popDeleteFromGroup
            // 
            this.popDeleteFromGroup.Name = "popDeleteFromGroup";
            this.popDeleteFromGroup.Size = new System.Drawing.Size(240, 24);
            this.popDeleteFromGroup.Text = "Delete from Group";
            this.popDeleteFromGroup.Click += new System.EventHandler(this.popDeleteFromGroup_Click);
            // 
            // toolStripSeparator2
            // 
            this.toolStripSeparator2.Name = "toolStripSeparator2";
            this.toolStripSeparator2.Size = new System.Drawing.Size(237, 6);
            // 
            // newGroupToolStripMenuItem
            // 
            this.newGroupToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.popTbNewGroup,
            this.tbNewGroupOk});
            this.newGroupToolStripMenuItem.Name = "newGroupToolStripMenuItem";
            this.newGroupToolStripMenuItem.Size = new System.Drawing.Size(240, 24);
            this.newGroupToolStripMenuItem.Text = "New Group";
            this.newGroupToolStripMenuItem.ToolTipText = "Enter New Group Name";
            // 
            // popTbNewGroup
            // 
            this.popTbNewGroup.Name = "popTbNewGroup";
            this.popTbNewGroup.Size = new System.Drawing.Size(100, 23);
            this.popTbNewGroup.ToolTipText = "New Group Name";
            this.popTbNewGroup.TextChanged += new System.EventHandler(this.popTbNewGroup_TextChanged);
            // 
            // tbNewGroupOk
            // 
            this.tbNewGroupOk.Name = "tbNewGroupOk";
            this.tbNewGroupOk.Size = new System.Drawing.Size(160, 22);
            this.tbNewGroupOk.Text = "Ok";
            this.tbNewGroupOk.Click += new System.EventHandler(this.popTbNewGroupOk_Click);
            // 
            // popDelGroup
            // 
            this.popDelGroup.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.popCbDelGroup,
            this.popDelGroupOk});
            this.popDelGroup.Name = "popDelGroup";
            this.popDelGroup.Size = new System.Drawing.Size(240, 24);
            this.popDelGroup.Text = "Delete Group";
            // 
            // popCbDelGroup
            // 
            this.popCbDelGroup.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.popCbDelGroup.Name = "popCbDelGroup";
            this.popCbDelGroup.Size = new System.Drawing.Size(121, 23);
            this.popCbDelGroup.Sorted = true;
            this.popCbDelGroup.ToolTipText = "Choose Group to Delete";
            this.popCbDelGroup.DropDown += new System.EventHandler(this.popDelGroup_DropDown);
            this.popCbDelGroup.Paint += new System.Windows.Forms.PaintEventHandler(this.popCbDelGroup_Paint);
            // 
            // popDelGroupOk
            // 
            this.popDelGroupOk.Name = "popDelGroupOk";
            this.popDelGroupOk.Size = new System.Drawing.Size(181, 22);
            this.popDelGroupOk.Text = "Ok";
            this.popDelGroupOk.Click += new System.EventHandler(this.popDelGroupOk_Click);
            // 
            // popDeleteAllGroups
            // 
            this.popDeleteAllGroups.Name = "popDeleteAllGroups";
            this.popDeleteAllGroups.Size = new System.Drawing.Size(240, 24);
            this.popDeleteAllGroups.Text = "Delete All Groups";
            this.popDeleteAllGroups.Click += new System.EventHandler(this.popDeleteAllGroups_Click);
            // 
            // toolStripSeparator3
            // 
            this.toolStripSeparator3.Name = "toolStripSeparator3";
            this.toolStripSeparator3.Size = new System.Drawing.Size(237, 6);
            // 
            // popSetArm
            // 
            this.popSetArm.Name = "popSetArm";
            this.popSetArm.Size = new System.Drawing.Size(240, 24);
            this.popSetArm.Text = "Set Arm";
            this.popSetArm.Click += new System.EventHandler(this.popSetArm_Click);
            // 
            // popSetTrigger
            // 
            this.popSetTrigger.Name = "popSetTrigger";
            this.popSetTrigger.Size = new System.Drawing.Size(240, 24);
            this.popSetTrigger.Text = "Set Trigger";
            this.popSetTrigger.Click += new System.EventHandler(this.popSetTrigger_Click);
            // 
            // popSetArmTrigger
            // 
            this.popSetArmTrigger.Name = "popSetArmTrigger";
            this.popSetArmTrigger.Size = new System.Drawing.Size(240, 24);
            this.popSetArmTrigger.Text = "Set Arm + Trigger";
            this.popSetArmTrigger.Click += new System.EventHandler(this.popSetArmTrigger_Click);
            // 
            // toolStripSeparator4
            // 
            this.toolStripSeparator4.Name = "toolStripSeparator4";
            this.toolStripSeparator4.Size = new System.Drawing.Size(237, 6);
            // 
            // popList
            // 
            this.popList.Name = "popList";
            this.popList.Size = new System.Drawing.Size(240, 24);
            this.popList.Text = "Show List";
            this.popList.Click += new System.EventHandler(this.popList_Click);
            // 
            // split
            // 
            this.split.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.split.IsSplitterFixed = true;
            this.split.Location = new System.Drawing.Point(0, 52);
            this.split.Name = "split";
            this.split.Orientation = System.Windows.Forms.Orientation.Horizontal;
            // 
            // split.Panel1
            // 
            this.split.Panel1.Controls.Add(this.tbGroup);
            this.split.Panel1.Controls.Add(this.disp);
            this.split.Panel1MinSize = 250;
            // 
            // split.Panel2
            // 
            this.split.Panel2.Controls.Add(this.tbConsole);
            this.split.Panel2MinSize = 0;
            this.split.Size = new System.Drawing.Size(990, 467);
            this.split.SplitterDistance = 354;
            this.split.TabIndex = 3;
            this.split.KeyDown += new System.Windows.Forms.KeyEventHandler(this.split_KeyDown);
            this.split.KeyUp += new System.Windows.Forms.KeyEventHandler(this.split_KeyUp);
            // 
            // tbGroup
            // 
            this.tbGroup.AutoSize = false;
            this.tbGroup.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(8)))), ((int)(((byte)(8)))), ((int)(((byte)(8)))));
            this.tbGroup.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.tbGroup.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.tbGroupLabel});
            this.tbGroup.Location = new System.Drawing.Point(0, 332);
            this.tbGroup.Name = "tbGroup";
            this.tbGroup.Size = new System.Drawing.Size(990, 22);
            this.tbGroup.TabIndex = 3;
            // 
            // tbGroupLabel
            // 
            this.tbGroupLabel.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbGroupLabel.ForeColor = System.Drawing.Color.Orange;
            this.tbGroupLabel.Name = "tbGroupLabel";
            this.tbGroupLabel.Size = new System.Drawing.Size(57, 19);
            this.tbGroupLabel.Text = "Groups:  ";
            this.tbGroupLabel.ToolTipText = "User Defined Bit Groups";
            // 
            // tbConsole
            // 
            this.tbConsole.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.tbConsole.Location = new System.Drawing.Point(3, 3);
            this.tbConsole.Multiline = true;
            this.tbConsole.Name = "tbConsole";
            this.tbConsole.ScrollBars = System.Windows.Forms.ScrollBars.Both;
            this.tbConsole.Size = new System.Drawing.Size(987, 102);
            this.tbConsole.TabIndex = 0;
            this.tbConsole.Visible = false;
            // 
            // toolbits
            // 
            this.toolbits.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.tbBitAll,
            this.tbRefresh,
            this.tbFlipAll,
            this.tbBit0,
            this.tbBit1,
            this.tbBit2,
            this.tbBit3,
            this.tbBit4,
            this.tbBit5,
            this.tbBit6,
            this.tbBit7,
            this.tbBit8,
            this.tbBit9,
            this.tbBit10,
            this.tbBit11,
            this.tbBit12,
            this.tbBit13,
            this.tbBit14,
            this.tbBit15,
            this.tbBit16,
            this.tbBit17,
            this.tbBit18,
            this.tbBit19,
            this.tbBit20,
            this.tbBit21,
            this.tbBit22,
            this.tbBit23,
            this.tbBit24,
            this.tbBit25,
            this.tbBit26,
            this.tbBit27,
            this.tbBit28,
            this.tbBit29,
            this.tbBit30,
            this.tbBit31});
            this.toolbits.Location = new System.Drawing.Point(0, 49);
            this.toolbits.Margin = new System.Windows.Forms.Padding(0, 1, 0, 1);
            this.toolbits.Name = "toolbits";
            this.toolbits.Size = new System.Drawing.Size(992, 25);
            this.toolbits.TabIndex = 4;
            // 
            // tbBitAll
            // 
            this.tbBitAll.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.tbBitAll.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBitAll.Items.AddRange(new object[] {
            "Show",
            "Mask",
            "Arm",
            "Trigger"});
            this.tbBitAll.Margin = new System.Windows.Forms.Padding(1);
            this.tbBitAll.Name = "tbBitAll";
            this.tbBitAll.Size = new System.Drawing.Size(75, 23);
            this.tbBitAll.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBitAll.ToolTipText = "SHOW bit traces, set trigger MASK, set trigger ARM, or set TRIGGER pattern.";
            this.tbBitAll.SelectedIndexChanged += new System.EventHandler(this.tbBitAll_SelectedIndexChanged);
            this.tbBitAll.Click += new System.EventHandler(this.tbBitAll_Click);
            // 
            // tbRefresh
            // 
            this.tbRefresh.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Image;
            this.tbRefresh.Image = ((System.Drawing.Image)(resources.GetObject("tbRefresh.Image")));
            this.tbRefresh.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbRefresh.Margin = new System.Windows.Forms.Padding(2, 0, 0, 0);
            this.tbRefresh.Name = "tbRefresh";
            this.tbRefresh.Size = new System.Drawing.Size(23, 25);
            this.tbRefresh.Text = "R";
            this.tbRefresh.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbRefresh.ToolTipText = "Refresh Display";
            this.tbRefresh.Click += new System.EventHandler(this.tbRefresh_Click);
            // 
            // tbFlipAll
            // 
            this.tbFlipAll.AutoSize = false;
            this.tbFlipAll.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbFlipAll.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbFlipAll.Margin = new System.Windows.Forms.Padding(0);
            this.tbFlipAll.Name = "tbFlipAll";
            this.tbFlipAll.Size = new System.Drawing.Size(18, 22);
            this.tbFlipAll.Text = "^";
            this.tbFlipAll.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbFlipAll.ToolTipText = "Flip All Bits";
            this.tbFlipAll.Click += new System.EventHandler(this.tbFlipAll_Click);
            // 
            // tbBit0
            // 
            this.tbBit0.Checked = true;
            this.tbBit0.CheckOnClick = true;
            this.tbBit0.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit0.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit0.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit0.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit0.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit0.Name = "tbBit0";
            this.tbBit0.Size = new System.Drawing.Size(23, 23);
            this.tbBit0.Text = "00";
            this.tbBit0.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit0.ToolTipText = "Select for display or trigger function.";
            this.tbBit0.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit1
            // 
            this.tbBit1.Checked = true;
            this.tbBit1.CheckOnClick = true;
            this.tbBit1.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit1.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit1.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit1.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit1.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit1.Name = "tbBit1";
            this.tbBit1.Size = new System.Drawing.Size(23, 23);
            this.tbBit1.Text = "01";
            this.tbBit1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit1.ToolTipText = "Select for display or trigger function.";
            this.tbBit1.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit2
            // 
            this.tbBit2.Checked = true;
            this.tbBit2.CheckOnClick = true;
            this.tbBit2.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit2.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit2.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit2.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit2.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit2.Name = "tbBit2";
            this.tbBit2.Size = new System.Drawing.Size(23, 23);
            this.tbBit2.Text = "02";
            this.tbBit2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit2.ToolTipText = "Select for display or trigger function.";
            this.tbBit2.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit3
            // 
            this.tbBit3.Checked = true;
            this.tbBit3.CheckOnClick = true;
            this.tbBit3.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit3.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit3.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit3.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit3.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit3.Name = "tbBit3";
            this.tbBit3.Size = new System.Drawing.Size(23, 23);
            this.tbBit3.Text = "03";
            this.tbBit3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit3.ToolTipText = "Select for display or trigger function.";
            this.tbBit3.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit4
            // 
            this.tbBit4.Checked = true;
            this.tbBit4.CheckOnClick = true;
            this.tbBit4.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit4.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit4.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit4.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit4.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit4.Name = "tbBit4";
            this.tbBit4.Size = new System.Drawing.Size(23, 23);
            this.tbBit4.Text = "04";
            this.tbBit4.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit4.ToolTipText = "Select for display or trigger function.";
            this.tbBit4.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit5
            // 
            this.tbBit5.Checked = true;
            this.tbBit5.CheckOnClick = true;
            this.tbBit5.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit5.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit5.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit5.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit5.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit5.Name = "tbBit5";
            this.tbBit5.Size = new System.Drawing.Size(23, 23);
            this.tbBit5.Text = "05";
            this.tbBit5.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit5.ToolTipText = "Select for display or trigger function.";
            this.tbBit5.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit6
            // 
            this.tbBit6.Checked = true;
            this.tbBit6.CheckOnClick = true;
            this.tbBit6.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit6.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit6.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit6.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit6.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit6.Name = "tbBit6";
            this.tbBit6.Size = new System.Drawing.Size(23, 23);
            this.tbBit6.Text = "06";
            this.tbBit6.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit6.ToolTipText = "Select for display or trigger function.";
            this.tbBit6.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit7
            // 
            this.tbBit7.Checked = true;
            this.tbBit7.CheckOnClick = true;
            this.tbBit7.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit7.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit7.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit7.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit7.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit7.Name = "tbBit7";
            this.tbBit7.Size = new System.Drawing.Size(23, 23);
            this.tbBit7.Text = "07";
            this.tbBit7.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit7.ToolTipText = "Select for display or trigger function.";
            this.tbBit7.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit8
            // 
            this.tbBit8.Checked = true;
            this.tbBit8.CheckOnClick = true;
            this.tbBit8.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit8.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit8.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit8.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit8.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit8.Name = "tbBit8";
            this.tbBit8.Size = new System.Drawing.Size(23, 23);
            this.tbBit8.Text = "08";
            this.tbBit8.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit8.ToolTipText = "Select for display or trigger function.";
            this.tbBit8.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit9
            // 
            this.tbBit9.Checked = true;
            this.tbBit9.CheckOnClick = true;
            this.tbBit9.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit9.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit9.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit9.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit9.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit9.Name = "tbBit9";
            this.tbBit9.Size = new System.Drawing.Size(23, 23);
            this.tbBit9.Text = "09";
            this.tbBit9.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit9.ToolTipText = "Select for display or trigger function.";
            this.tbBit9.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit10
            // 
            this.tbBit10.Checked = true;
            this.tbBit10.CheckOnClick = true;
            this.tbBit10.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit10.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit10.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit10.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit10.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit10.Name = "tbBit10";
            this.tbBit10.Size = new System.Drawing.Size(23, 23);
            this.tbBit10.Text = "10";
            this.tbBit10.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit10.ToolTipText = "Select for display or trigger function.";
            this.tbBit10.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit11
            // 
            this.tbBit11.Checked = true;
            this.tbBit11.CheckOnClick = true;
            this.tbBit11.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit11.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit11.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit11.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit11.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit11.Name = "tbBit11";
            this.tbBit11.Size = new System.Drawing.Size(23, 23);
            this.tbBit11.Text = "11";
            this.tbBit11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit11.ToolTipText = "Select for display or trigger function.";
            this.tbBit11.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit12
            // 
            this.tbBit12.Checked = true;
            this.tbBit12.CheckOnClick = true;
            this.tbBit12.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit12.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit12.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit12.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit12.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit12.Name = "tbBit12";
            this.tbBit12.Size = new System.Drawing.Size(23, 23);
            this.tbBit12.Text = "12";
            this.tbBit12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit12.ToolTipText = "Select for display or trigger function.";
            this.tbBit12.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit13
            // 
            this.tbBit13.Checked = true;
            this.tbBit13.CheckOnClick = true;
            this.tbBit13.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit13.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit13.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit13.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit13.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit13.Name = "tbBit13";
            this.tbBit13.Size = new System.Drawing.Size(23, 23);
            this.tbBit13.Text = "13";
            this.tbBit13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit13.ToolTipText = "Select for display or trigger function.";
            this.tbBit13.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit14
            // 
            this.tbBit14.Checked = true;
            this.tbBit14.CheckOnClick = true;
            this.tbBit14.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit14.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit14.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit14.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit14.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit14.Name = "tbBit14";
            this.tbBit14.Size = new System.Drawing.Size(23, 23);
            this.tbBit14.Text = "14";
            this.tbBit14.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit14.ToolTipText = "Select for display or trigger function.";
            this.tbBit14.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit15
            // 
            this.tbBit15.Checked = true;
            this.tbBit15.CheckOnClick = true;
            this.tbBit15.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit15.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit15.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit15.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit15.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit15.Name = "tbBit15";
            this.tbBit15.Size = new System.Drawing.Size(23, 23);
            this.tbBit15.Text = "15";
            this.tbBit15.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit15.ToolTipText = "Select for display or trigger function.";
            this.tbBit15.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit16
            // 
            this.tbBit16.Checked = true;
            this.tbBit16.CheckOnClick = true;
            this.tbBit16.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit16.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit16.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit16.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit16.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit16.Name = "tbBit16";
            this.tbBit16.Size = new System.Drawing.Size(23, 23);
            this.tbBit16.Text = "16";
            this.tbBit16.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit16.ToolTipText = "Select for display or trigger function.";
            this.tbBit16.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit17
            // 
            this.tbBit17.Checked = true;
            this.tbBit17.CheckOnClick = true;
            this.tbBit17.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit17.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit17.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit17.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit17.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit17.Name = "tbBit17";
            this.tbBit17.Size = new System.Drawing.Size(23, 23);
            this.tbBit17.Text = "17";
            this.tbBit17.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit17.ToolTipText = "Select for display or trigger function.";
            this.tbBit17.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit18
            // 
            this.tbBit18.Checked = true;
            this.tbBit18.CheckOnClick = true;
            this.tbBit18.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit18.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit18.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit18.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit18.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit18.Name = "tbBit18";
            this.tbBit18.Size = new System.Drawing.Size(23, 23);
            this.tbBit18.Text = "18";
            this.tbBit18.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit18.ToolTipText = "Select for display or trigger function.";
            this.tbBit18.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit19
            // 
            this.tbBit19.Checked = true;
            this.tbBit19.CheckOnClick = true;
            this.tbBit19.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit19.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit19.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit19.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit19.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit19.Name = "tbBit19";
            this.tbBit19.Size = new System.Drawing.Size(23, 23);
            this.tbBit19.Text = "19";
            this.tbBit19.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit19.ToolTipText = "Select for display or trigger function.";
            this.tbBit19.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit20
            // 
            this.tbBit20.Checked = true;
            this.tbBit20.CheckOnClick = true;
            this.tbBit20.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit20.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit20.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit20.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit20.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit20.Name = "tbBit20";
            this.tbBit20.Size = new System.Drawing.Size(23, 23);
            this.tbBit20.Text = "20";
            this.tbBit20.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit20.ToolTipText = "Select for display or trigger function.";
            this.tbBit20.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit21
            // 
            this.tbBit21.Checked = true;
            this.tbBit21.CheckOnClick = true;
            this.tbBit21.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit21.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit21.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit21.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit21.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit21.Name = "tbBit21";
            this.tbBit21.Size = new System.Drawing.Size(23, 23);
            this.tbBit21.Text = "21";
            this.tbBit21.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit21.ToolTipText = "Select for display or trigger function.";
            this.tbBit21.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit22
            // 
            this.tbBit22.Checked = true;
            this.tbBit22.CheckOnClick = true;
            this.tbBit22.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit22.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit22.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit22.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit22.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit22.Name = "tbBit22";
            this.tbBit22.Size = new System.Drawing.Size(23, 23);
            this.tbBit22.Text = "22";
            this.tbBit22.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit22.ToolTipText = "Select for display or trigger function.";
            this.tbBit22.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit23
            // 
            this.tbBit23.Checked = true;
            this.tbBit23.CheckOnClick = true;
            this.tbBit23.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit23.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit23.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit23.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit23.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit23.Name = "tbBit23";
            this.tbBit23.Size = new System.Drawing.Size(23, 23);
            this.tbBit23.Text = "23";
            this.tbBit23.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit23.ToolTipText = "Select for display or trigger function.";
            this.tbBit23.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit24
            // 
            this.tbBit24.Checked = true;
            this.tbBit24.CheckOnClick = true;
            this.tbBit24.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit24.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit24.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit24.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit24.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit24.Name = "tbBit24";
            this.tbBit24.Size = new System.Drawing.Size(23, 23);
            this.tbBit24.Text = "24";
            this.tbBit24.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit24.ToolTipText = "Select for display or trigger function.";
            this.tbBit24.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit25
            // 
            this.tbBit25.Checked = true;
            this.tbBit25.CheckOnClick = true;
            this.tbBit25.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit25.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit25.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit25.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit25.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit25.Name = "tbBit25";
            this.tbBit25.Size = new System.Drawing.Size(23, 23);
            this.tbBit25.Text = "25";
            this.tbBit25.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit25.ToolTipText = "Select for display or trigger function.";
            this.tbBit25.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit26
            // 
            this.tbBit26.Checked = true;
            this.tbBit26.CheckOnClick = true;
            this.tbBit26.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit26.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit26.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit26.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit26.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit26.Name = "tbBit26";
            this.tbBit26.Size = new System.Drawing.Size(23, 23);
            this.tbBit26.Text = "26";
            this.tbBit26.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit26.ToolTipText = "Select for display or trigger function.";
            this.tbBit26.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit27
            // 
            this.tbBit27.Checked = true;
            this.tbBit27.CheckOnClick = true;
            this.tbBit27.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit27.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit27.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit27.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit27.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit27.Name = "tbBit27";
            this.tbBit27.Size = new System.Drawing.Size(23, 23);
            this.tbBit27.Text = "27";
            this.tbBit27.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit27.ToolTipText = "Select for display or trigger function.";
            this.tbBit27.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit28
            // 
            this.tbBit28.Checked = true;
            this.tbBit28.CheckOnClick = true;
            this.tbBit28.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit28.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit28.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit28.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit28.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit28.Name = "tbBit28";
            this.tbBit28.Size = new System.Drawing.Size(23, 23);
            this.tbBit28.Text = "28";
            this.tbBit28.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit28.ToolTipText = "Select for display or trigger function.";
            this.tbBit28.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit29
            // 
            this.tbBit29.Checked = true;
            this.tbBit29.CheckOnClick = true;
            this.tbBit29.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit29.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit29.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit29.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit29.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit29.Name = "tbBit29";
            this.tbBit29.Size = new System.Drawing.Size(23, 23);
            this.tbBit29.Text = "29";
            this.tbBit29.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit29.ToolTipText = "Select for display or trigger function.";
            this.tbBit29.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit30
            // 
            this.tbBit30.Checked = true;
            this.tbBit30.CheckOnClick = true;
            this.tbBit30.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit30.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit30.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit30.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit30.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit30.Name = "tbBit30";
            this.tbBit30.Size = new System.Drawing.Size(23, 23);
            this.tbBit30.Text = "30";
            this.tbBit30.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit30.ToolTipText = "Select for display or trigger function.";
            this.tbBit30.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // tbBit31
            // 
            this.tbBit31.Checked = true;
            this.tbBit31.CheckOnClick = true;
            this.tbBit31.CheckState = System.Windows.Forms.CheckState.Checked;
            this.tbBit31.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
            this.tbBit31.Font = new System.Drawing.Font("Tahoma", 6.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tbBit31.ImageTransparentColor = System.Drawing.Color.Magenta;
            this.tbBit31.Margin = new System.Windows.Forms.Padding(1, 1, 0, 1);
            this.tbBit31.Name = "tbBit31";
            this.tbBit31.Size = new System.Drawing.Size(23, 23);
            this.tbBit31.Text = "31";
            this.tbBit31.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            this.tbBit31.ToolTipText = "Select for display or trigger function.";
            this.tbBit31.Click += new System.EventHandler(this.tbBit_Click);
            // 
            // statusBar
            // 
            this.statusBar.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.sbLabPin,
            this.sbTrace,
            this.sbLabTick,
            this.sbTick,
            this.sbLabTime,
            this.sbTime,
            this.sbLableValue,
            this.sbValue,
            this.sbXoff,
            this.sbXzoom,
            this.sbZoomFactor,
            this.sbX,
            this.sbY});
            this.statusBar.Location = new System.Drawing.Point(0, 519);
            this.statusBar.Name = "statusBar";
            this.statusBar.Size = new System.Drawing.Size(992, 25);
            this.statusBar.TabIndex = 5;
            // 
            // sbLabPin
            // 
            this.sbLabPin.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sbLabPin.Name = "sbLabPin";
            this.sbLabPin.Size = new System.Drawing.Size(27, 20);
            this.sbLabPin.Text = "Pin ";
            this.sbLabPin.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // sbTrace
            // 
            this.sbTrace.AutoSize = false;
            this.sbTrace.BackColor = System.Drawing.SystemColors.ControlLight;
            this.sbTrace.BorderSides = System.Windows.Forms.ToolStripStatusLabelBorderSides.Right;
            this.sbTrace.BorderStyle = System.Windows.Forms.Border3DStyle.Etched;
            this.sbTrace.Name = "sbTrace";
            this.sbTrace.Size = new System.Drawing.Size(20, 20);
            this.sbTrace.ToolTipText = "Pin Trace Number";
            // 
            // sbLabTick
            // 
            this.sbLabTick.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sbLabTick.Name = "sbLabTick";
            this.sbLabTick.Size = new System.Drawing.Size(29, 20);
            this.sbLabTick.Text = "Tick";
            // 
            // sbTick
            // 
            this.sbTick.AutoSize = false;
            this.sbTick.BackColor = System.Drawing.SystemColors.ControlLight;
            this.sbTick.BorderSides = System.Windows.Forms.ToolStripStatusLabelBorderSides.Right;
            this.sbTick.BorderStyle = System.Windows.Forms.Border3DStyle.Etched;
            this.sbTick.Name = "sbTick";
            this.sbTick.Size = new System.Drawing.Size(25, 20);
            this.sbTick.ToolTipText = "Sample Tick Number";
            // 
            // sbLabTime
            // 
            this.sbLabTime.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sbLabTime.Name = "sbLabTime";
            this.sbLabTime.Size = new System.Drawing.Size(34, 20);
            this.sbLabTime.Text = "Time";
            // 
            // sbTime
            // 
            this.sbTime.AutoSize = false;
            this.sbTime.BackColor = System.Drawing.SystemColors.ControlLight;
            this.sbTime.BorderSides = System.Windows.Forms.ToolStripStatusLabelBorderSides.Right;
            this.sbTime.BorderStyle = System.Windows.Forms.Border3DStyle.Etched;
            this.sbTime.Name = "sbTime";
            this.sbTime.Size = new System.Drawing.Size(60, 20);
            this.sbTime.ToolTipText = "Sample Time";
            // 
            // sbLableValue
            // 
            this.sbLableValue.Font = new System.Drawing.Font("Tahoma", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.sbLableValue.Name = "sbLableValue";
            this.sbLableValue.Size = new System.Drawing.Size(37, 20);
            this.sbLableValue.Text = "Value";
            // 
            // sbValue
            // 
            this.sbValue.AutoSize = false;
            this.sbValue.BackColor = System.Drawing.SystemColors.ControlLight;
            this.sbValue.BorderSides = System.Windows.Forms.ToolStripStatusLabelBorderSides.Right;
            this.sbValue.Name = "sbValue";
            this.sbValue.Size = new System.Drawing.Size(64, 20);
            this.sbValue.ToolTipText = "Sample Value";
            // 
            // sbXoff
            // 
            this.sbXoff.Name = "sbXoff";
            this.sbXoff.Size = new System.Drawing.Size(19, 20);
            this.sbXoff.Text = "00";
            this.sbXoff.Visible = false;
            // 
            // sbXzoom
            // 
            this.sbXzoom.Name = "sbXzoom";
            this.sbXzoom.Size = new System.Drawing.Size(19, 20);
            this.sbXzoom.Text = "00";
            this.sbXzoom.Visible = false;
            // 
            // sbZoomFactor
            // 
            this.sbZoomFactor.Name = "sbZoomFactor";
            this.sbZoomFactor.Size = new System.Drawing.Size(19, 20);
            this.sbZoomFactor.Text = "00";
            this.sbZoomFactor.Visible = false;
            // 
            // sbX
            // 
            this.sbX.Name = "sbX";
            this.sbX.Size = new System.Drawing.Size(25, 20);
            this.sbX.Text = "000";
            this.sbX.Visible = false;
            // 
            // sbY
            // 
            this.sbY.Name = "sbY";
            this.sbY.Size = new System.Drawing.Size(25, 20);
            this.sbY.Text = "000";
            this.sbY.Visible = false;
            // 
            // MainForm
            // 
            this.ClientSize = new System.Drawing.Size(992, 544);
            this.Controls.Add(this.statusBar);
            this.Controls.Add(this.toolbits);
            this.Controls.Add(this.split);
            this.Controls.Add(this.tools);
            this.Controls.Add(this.menu);
            this.MainMenuStrip = this.menu;
            this.MinimumSize = new System.Drawing.Size(250, 250);
            this.Name = "MainForm";
            this.Text = "Propalyzer";
            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.MainForm_FormClosing);
            this.menu.ResumeLayout(false);
            this.menu.PerformLayout();
            this.tools.ResumeLayout(false);
            this.tools.PerformLayout();
            this.displayPopup.ResumeLayout(false);
            this.split.Panel1.ResumeLayout(false);
            this.split.Panel2.ResumeLayout(false);
            this.split.Panel2.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.split)).EndInit();
            this.split.ResumeLayout(false);
            this.tbGroup.ResumeLayout(false);
            this.tbGroup.PerformLayout();
            this.toolbits.ResumeLayout(false);
            this.toolbits.PerformLayout();
            this.statusBar.ResumeLayout(false);
            this.statusBar.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        private void initTbCbPeriod()
        {
            int num = this.getPropFreq();
            this.periodArray = new ArrayList();
            if (num >= 0)
            {
                long num2 = 0x2710 / num;
                long num3 = num2;
                long num4 = 10L;
                string[] strArray = new string[] { " ns", " us", " ms", " s" };
                int index = 0;
                this.tbCbPeriod.ComboBox.Items.Clear();
                int num6 = 0;
                while (num6 < 0x1b)
                {
                    if (num2 < 0x2710L)             // ns
                    {
                        index = 0;
                        num4 = 10L;
                    }
                    else if (num2 < 0x989680L)      // us
                    {
                        index = 1;
                        num4 = 0x2710L;
                    }
                    else if (num2 < 0x2540be400L)   // ms
                    {
                        index = 2;
                        num4 = 0x989680L;
                    }
                    else                            // sec
                    {
                        index = 3;
                        num4 = 0x2540be400L;
                    }
                    this.tbCbPeriod.Items.Add((num2 / num4) + strArray[index]);
                    num6++;
                    /*
                    if (num6 > 5)
                    {
                        long num7 = num2 / num4;
                        num3 *= 2L;
                        num2 += num3;
                        if (num7 != (num2 / num4))
                        {
                            if (((num2 / num4) >= 0x3e8L) && (index < (strArray.Length - 1)))
                            {
                                num4 *= 0x3e8L;
                                index++;
                            }
                            this.tbCbPeriod.Items.Add((num2 / num4) + strArray[index]);
                        }
                        num3 *= 10L;
                    }
                    */
                    if ((num6 % 5) == 0)
                    {
                        long num7 = num2 / num4;
                        num3 *= 4L;
                        num2 += num3;
                        if (num7 != (num2 / num4))
                        {
                            if (((num2 / num4) >= 0x3e8L) && (index < (strArray.Length - 1)))
                            {
                                num4 *= 0x3e8L;
                                index++;
                            }
                            this.tbCbPeriod.Items.Add((num2 / num4) + strArray[index]);
                        }
                        num3 *= 10L;
                    }
                    if (num6 > 4)
                        num2 = num2 * 4 / 3;
                    else
                        num2 *= 2;
                }
                this.tbCbPeriod.SelectedIndex = 0;
            }
        }

        private void MainForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            try
            {
                if (this.ticklist != null)
                {
                    this.ticklist.Close();
                    this.ticklist.Dispose();
                }
            }
            catch (Exception exception)
            {
                Console.WriteLine(exception.Message + "\n" + exception.StackTrace);
            }
        }

        private void mbDeleteAllGroups_Click(object sender, EventArgs e)
        {
            this.popDeleteAllGroups_Click(sender, e);
        }

        private Color newBitColor()
        {
            Color[] colorArray = new Color[] { Color.Red, Color.Chartreuse, Color.Cyan, Color.Magenta, Color.Yellow, Color.DodgerBlue, Color.Plum, Color.Gold, Color.Teal };
            return colorArray[this.bitcolornum++ % colorArray.Length];
        }

        private void newProjectToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.popDeleteAllGroups_Click(sender, e);
            this.projName = "New";
            this.projFile = "";
        }

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.openFile.DefaultExt = this.projExt;
            this.openFile.Filter = "Propalyzer files (*.pal)|*.pal|All files (*.*)|*.*";
            this.openFile.ShowDialog();
            this.projFile = this.openFile.FileName;
            this.getSettings();
        }

        private void optInvertColors_Click(object sender, EventArgs e)
        {
            if (this.optInvertColors.Checked)
            {
                this.obitColorDefault = Color.Orange;
                this.bitColorDefault = Color.Blue;
                this.dispColorDefault = Color.FloralWhite;
                this.tickColorDefault = Color.DarkGray;
                this.disp.BackColor = this.dispColorDefault;
                this.tbGroup.BackColor = Color.Gray;
                this.tbGroupLabel.ForeColor = Color.Black;
            }
            else
            {
                this.obitColorDefault = Color.Blue;
                this.bitColorDefault = Color.Orange;
                this.dispColorDefault = Color.Black;
                this.tickColorDefault = Color.Gray;
                this.disp.BackColor = this.dispColorDefault;
                this.tbGroup.BackColor = Color.FromArgb(8, 8, 8);
                this.tbGroupLabel.ForeColor = Color.Orange;
            }
            this.disp.Refresh();
        }

        private void painter(object sender, PaintEventArgs e)
        {
            this.showGroups(this.getTick(this.cursorx) + this.tickpan);
            this.samples = this.bitCapArray.Count - 1;
            if (this.tickpan <= (this.bitCapArray.Count - 1))
            {
                int num2;
                if (this.xzoom > 150)
                {
                    this.xzoom = 150;
                }
                Graphics g = e.Graphics;
                if (this.bg != null)
                {
                    this.bg.Dispose();
                }
                this.saveCursorBgimg = new Color[this.disp.Height];
                this.bg = new Bitmap(this.disp.Width, this.disp.Height, g);
                Graphics graphics2 = Graphics.FromImage(this.bg);
                graphics2.Clear(this.dispColorDefault);
                Font font = new Font("Verdana", 7f);
                this.ydiv = font.Height;
                this.xoff = 0x17;
                this.yoff = 20;
                Pen pen = new Pen(new SolidBrush(this.bitColorDefault));
                int num = 0;
                this.bitnums.Clear();
                for (num2 = 0; num2 < this.bits.Count; num2++)
                {
                    //ToolStripButton button1 = (ToolStripButton) this.bits[num2];
                    if ((this.show & (((int) 1) << num2)) != 0)
                    {
                        this.bitnums.Add(num2);
                    }
                }
                if ((this.bitnums.Count - 1) > 0)
                {
                    this.ydiv = (this.disp.Height / this.bitnums.Count) - 1;
                }
                if (this.ydiv < 7)
                {
                    this.ydiv = 7;
                }
                num2 = 0;
                while (num2 < this.bits.Count)
                {
                    //ToolStripButton button2 = (ToolStripButton) this.bits[num2];
                    if ((this.show & (((int) 1) << num2)) != 0)
                    {
                        graphics2.DrawString(string.Format("{0:d2}", num2), font, new SolidBrush(this.bitColorDefault), 3f, (float) (((num * this.ydiv) + this.yoff) - 3));
                        num++;
                    }
                    num2++;
                }
                long sampleperiod = this.sampleperiod;
                SolidBrush brush = new SolidBrush(this.tickColorDefault);
                Pen pen2 = new Pen(brush);
                int num10 = 0x19;
                //float size = font.Size;
                try
                {
                    long num6;
                    int num11;
                    if (this.bitCapArray.Count == 0)
                    {
                        g.DrawImage(this.bg, 0, 0);
                        this.cursor(this.cursorx, 0);
                        return;
                    }
                    if (!this.active)
                    {
                        return;
                    }
                    Application.DoEvents();
                    this.xdiv = (this.disp.Width * this.xzoom) / this.bitCapArray.Count;
                    if (this.xdiv < 1)
                    {
                        this.xdiv = 1;
                    }
                    this.xratio = ((double) (this.disp.Width * this.xzoom)) / ((double) this.bitCapArray.Count);
                    if (this.xratio < 1.0)
                    {
                        this.xratio = 1.0;
                    }
                    Pen[] penArray = new Pen[this.bits.Count];
                    for (num11 = 0; num11 < this.bits.Count; num11++)
                    {
                        if (num11 < this.bitcolors.Count)
                        {
                            if (this.bitcolors[num11] != null)
                            {
                                Color bitColorDefault = (Color) this.bitcolors[num11];
                                if (bitColorDefault == this.obitColorDefault)
                                {
                                    bitColorDefault = this.bitColorDefault;
                                }
                                int argb = bitColorDefault.ToArgb() & this.invertMask;
                                bitColorDefault = Color.FromArgb(argb);
                                penArray[num11] = new Pen(new SolidBrush(bitColorDefault));
                            }
                            else
                            {
                                penArray[num11] = pen;
                            }
                        }
                        else
                        {
                            penArray[num11] = pen;
                        }
                    }
                    int num13 = ((this.disp.Width - this.xoff) / this.xdiv) / 8;
                    for (num11 = 0; ((num13 != 0) && (num11 < this.disp.Width)) && ((num11 * ((int) this.xratio)) < (this.disp.Width - this.xoff)); num11 += num13)
                    {
                        num6 = (num11 * ((int) this.xratio)) + this.xoff;
                        if ((num11 > 0) && ((num11 % num13) == 0))
                        {
                            graphics2.DrawLine(pen2, (float) num6, (float) this.yoff, (float) num6, (float) (this.disp.Height - (this.yoff / 2)));
                            graphics2.DrawString(this.getTimeStr((num11 + this.tickpan) * sampleperiod), font, brush, (float) (num6 - num10), 5f);
                        }
                    }
                    long num14 = 0L;
                    string str = (string) this.bitCapArray[this.tickpan];
                    num14 = Convert.ToUInt32(str, 0x10);
                    for (num11 = 0; (num11 < (this.bitCapArray.Count - this.tickpan)) && (((num11 * this.xdiv) + this.xoff) < (this.disp.Width - this.xoff)); num11++)
                    {
                        str = (string) this.bitCapArray[num11 + this.tickpan];
                        long num5 = Convert.ToUInt32(str, 0x10);
                        num = 0;
                        num6 = (num11 * this.xdiv) + this.xoff;
                        long num7 = ((num11 + 1) * this.xdiv) + this.xoff;
                        for (num2 = 0; num2 < this.bits.Count; num2++)
                        {
                            if ((this.show & (((int) 1) << num2)) != 0)
                            {
                                long num4 = ((uint) 1) << num2;
                                long num8 = ((num * this.ydiv) + this.yoff) + ((1L - ((num5 & num4) >> num2)) * (this.ydiv - 5));
                                long num9 = ((num * this.ydiv) + this.yoff) + ((1L - ((num14 & num4) >> num2)) * (this.ydiv - 5));
                                if (num2 < 0x20)
                                {
                                    graphics2.DrawLine(penArray[num2], (float) num6, (float) num8, (float) num7, (float) num8);
                                }
                                if ((num8 != num9) && (num2 < 0x20))
                                {
                                    graphics2.DrawLine(penArray[num2], (float) num6, (float) num8, (float) num6, (float) num9);
                                }
                                num++;
                            }
                        }
                        if (num11 > 20)
                        {
                            Application.DoEvents();
                        }
                        num14 = num5;
                    }
                }
                catch (Exception exception)
                {
                    if (exception != null)
                    {
                        Console.WriteLine("'" + exception.Message + "'\n" + exception.StackTrace);
                    }
                }
                g.DrawImage(this.bg, 0, 0);
                this.cursor(this.cursorx, 0);
                if (this.ticklist != null)
                {
                    this.ticklist.Refresh();
                }
            }
        }

        private void parse(string s)
        {
            if ((s != null) && (s.Length != 0))
            {
                this.bitCapArray.Clear();
                int num = 0;
                foreach (string str in s.Split(new char[] { '\r' }))
                {
                    foreach (string str2 in str.Split(new char[] { ' ' }))
                    {
                        if (str2.IndexOf('$') >= 0)
                        {
                            string str3 = str2.Substring(1);
                            this.bitCapArray.Add(str3);
                            num++;
                        }
                    }
                }
                this.samples = num;
                num++;
            }
        }

        private void popAddToGroup_DropDown(object sender, EventArgs e)
        {
            if (this.popCbGroupLen != this.groups.Count)
            {
                this.popCbGroupLen = this.popCbGroup.Items.Count;
                this.popCbGroup.Items.Clear();
                ArrayList list = new ArrayList();
                foreach (DictionaryEntry entry in this.groups)
                {
                    list.Add(entry.Key);
                }
                list.Sort();
                foreach (string str in list)
                {
                    this.popCbGroup.Items.Add(str);
                }
                if (this.popCbGroup.Items.Count > 0)
                {
                    this.popCbGroup.SelectedIndex = 0;
                }
            }
            else
            {
                sender = this.popCbGroup.Text;
            }
        }

        private void popAddToGroupOk_Click(object sender, EventArgs e)
        {
            string text = this.popCbGroup.Text;
            this.popCbGroup.Items.Clear();
            this.popCbGroup.Text = "";
            if (this.groups[text] != null)
            {
                if (this.mousey != this.mousey2)
                {
                    int num = this.getBitlane(this.mousey);
                    int num2 = this.getBitlane(this.mousey2);
                    ArrayList list = (ArrayList) this.groups[text];
                    int num3 = (num < num2) ? num : num2;
                    int num4 = (num < num2) ? num2 : num;
                    for (int i = num3; i <= num4; i++)
                    {
                        list.Add(i);
                        if (this.groupcolors[text] != null)
                        {
                            this.bitcolors[i] = this.groupcolors[text];
                        }
                    }
                }
                else
                {
                    ArrayList list2 = (ArrayList) this.groups[text];
                    int num6 = this.getBitlane(this.mousey);
                    int num7 = 0;
                    int num8 = 0;
                    num8 = 0;
                    while (num8 < this.bits.Count)
                    {
                        if ((this.show & (((int) 1) << num8)) != 0)
                        {
                            num7++;
                        }
                        if (num6 == (num7 - 1))
                        {
                            break;
                        }
                        num8++;
                    }
                    list2.Add(num8);
                    if (this.groupcolors[text] != null)
                    {
                        this.bitcolors[num8] = this.groupcolors[text];
                    }
                }
                this.disp.Refresh();
            }
        }

        private void popCbDelGroup_Paint(object sender, PaintEventArgs e)
        {
            this.popCbDelGroup.Text = "";
        }

        private void popCbGroup_Paint(object sender, PaintEventArgs e)
        {
            this.popCbGroup.Text = "";
        }

        private void popDeleteAllGroups_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < this.bitcolors.Count; i++)
            {
                this.bitcolors[i] = this.bitColorDefault;
            }
            for (int j = this.tbGroup.Items.Count - 1; j > 0; j--)
            {
                this.tbGroup.Items.RemoveAt(j);
            }
            this.tbGroup.Invalidate();
            Application.DoEvents();
            foreach (DictionaryEntry entry in this.groups)
            {
                string str = entry.Key.ToString();
                ((ArrayList) this.groups[str]).Clear();
            }
            this.groupitems.Clear();
            this.groupcolors.Clear();
            this.groups.Clear();
            this.bitcolornum = 0;
        }

        private void popDeleteFromGroup_Click(object sender, EventArgs e)
        {
            int num = this.getBitlane(this.mousey);
            int num2 = 0;
            foreach (DictionaryEntry entry in this.groups)
            {
                string str = entry.Key.ToString();
                ArrayList list = (ArrayList) this.groups[str];
                if (list != null)
                {
                    for (int i = 0; i < list.Count; i++)
                    {
                        if (num == ((int) list[i]))
                        {
                            list.RemoveAt(i);
                            num2++;
                            this.bitcolors[num] = this.bitColorDefault;
                        }
                    }
                }
            }
            if (num2 > 0)
            {
                this.disp.Refresh();
            }
        }

        private void popDelGroup_DropDown(object sender, EventArgs e)
        {
            this.popCbDelGroup.Items.Clear();
            ArrayList list = new ArrayList();
            foreach (DictionaryEntry entry in this.groups)
            {
                list.Add(entry.Key);
            }
            list.Sort();
            foreach (string str in list)
            {
                this.popCbDelGroup.Items.Add(str);
            }
            if (this.popCbDelGroup.Items.Count > 0)
            {
                this.popCbDelGroup.SelectedIndex = 0;
            }
        }

        private void popDelGroupOk_Click(object sender, EventArgs e)
        {
            try
            {
                string text = this.popCbDelGroup.Text;
                if (this.groups[text] != null)
                {
                    this.popCbDelGroup.Items.Clear();
                    this.popCbDelGroup.Text = "";
                    if (this.groupitems[this.getGroupValueName(text)] != null)
                    {
                        this.tbGroup.Items.Remove((ToolStripItem) this.groupitems[text]);
                        this.groupitems.Remove(text);
                        this.tbGroup.Items.Remove((ToolStripItem) this.groupitems[this.getGroupValueName(text)]);
                        this.groupitems.Remove(this.getGroupValueName(text));
                    }
                    if (this.groupcolors[text] != null)
                    {
                        this.groupcolors.Remove(text);
                    }
                    ArrayList list = (ArrayList) this.groups[text];
                    foreach (int num in list)
                    {
                        this.bitcolors[num] = this.bitColorDefault;
                    }
                    this.groups.Remove(text);
                }
                this.disp.Refresh();
            }
            catch (Exception exception)
            {
                if (exception != null)
                {
                    Console.WriteLine("'" + exception.Message + "'\n" + exception.StackTrace);
                }
            }
        }

        private void popList_Click(object sender, EventArgs e)
        {
            this.ticklist = new ListForm();
            this.ticklist.init(this.bitCapArray, this.getPeriod(), this.getTick(this.mousex), this.groups, this.groupitems, this.groupcolors);
            this.ticklist.Show();
            this.disp.Refresh();
        }

        private void popSetArm_Click(object sender, EventArgs e)
        {
            int num = this.getTick(this.mousex) + this.tickpan;
            if (num < this.bitCapArray.Count)
            {
                try
                {
                    uint num2 = Convert.ToUInt32(this.tbMaskPattern.Text, 0x10);
                    uint num3 = Convert.ToUInt32(this.bitCapArray[num].ToString(), 0x10);
                    this.tbArmPattern.Text = string.Format("{0:X}", num3 & num2);
                    this.commPort.send("\r");
                    this.commPort.abort();
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message + "\n" + exception.StackTrace);
                }
            }
        }

        private void popSetArmTrigger_Click(object sender, EventArgs e)
        {
            int num = this.getTick(this.mousex) + this.tickpan;
            if (num < this.bitCapArray.Count)
            {
                try
                {
                    uint num2 = Convert.ToUInt32(this.tbMaskPattern.Text, 0x10);
                    uint num3 = Convert.ToUInt32(this.bitCapArray[num].ToString(), 0x10);
                    this.tbArmPattern.Text = string.Format("{0:X}", num3 & num2);
                    this.tbTriggerPattern.Text = string.Format("{0:X}", num3 & num2);
                    this.commPort.send("\r");
                    this.commPort.abort();
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message + "\n" + exception.StackTrace);
                }
            }
        }

        private void popSetTrigger_Click(object sender, EventArgs e)
        {
            int num = this.getTick(this.mousex) + this.tickpan;
            if (num < this.bitCapArray.Count)
            {
                try
                {
                    uint num2 = Convert.ToUInt32(this.tbMaskPattern.Text, 0x10);
                    uint num3 = Convert.ToUInt32(this.bitCapArray[num].ToString(), 0x10);
                    this.tbTriggerPattern.Text = string.Format("{0:X}", num3 & num2);
                    this.commPort.send("\r");
                    this.commPort.abort();
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message + "\n" + exception.StackTrace);
                }
            }
        }

        private void popTbNewGroup_TextChanged(object sender, EventArgs e)
        {
        }

        private void popTbNewGroupOk_Click(object sender, EventArgs e)
        {
            string key = this.popTbNewGroup.Text.ToUpper();
            if ((key.Length > 0) && (this.groups[key] == null))
            {
                Color black = Color.Black;
                this.groups.Add(key, new ArrayList());
                if (this.tbGroup.Items[key] == null)
                {
                    ToolStripLabel label = new ToolStripLabel(key);
                    this.groupitems.Add(key, label);
                    this.tbGroup.Items.Add(label);
                    black = this.newBitColor();
                    this.groupcolors.Add(key, black);
                    label.ForeColor = (Color) this.groupcolors[key];
                    this.addGroupLabelClick(label);
                }
                this.tbGroup.Height = 0x18;
                this.tbGroup.AutoSize = false;
                ToolStripLabel label2 = null;
                if (this.tbGroup.Items[this.getGroupValueName(key)] == null)
                {
                    label2 = new ToolStripLabel();
                    label2.Text = "";
                    label2.AutoSize = false;
                    label2.Width = 60;
                    label2.Height = 15;
                    this.groupitems.Add(this.getGroupValueName(key), label2);
                    this.tbGroup.Items.Add(label2);
                }
                label2.BackColor = this.dispColorDefault;
                label2.ForeColor = (Color) this.groupcolors[key];
                this.popTbNewGroup.Text = "";
            }
        }

        private void popZoomReset_Click(object sender, EventArgs e)
        {
            this.xzoom = 1;
            this.tickpan = 0;
            this.disp.Refresh();
        }

        private void portToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.commOpts = new CommOptions();
            this.commOpts.Show();
        }

        private void propFreqOkToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.initTbCbPeriod();
        }

        public bool runProgram(string directory, string progname, string args, string searchout, TextBox tbOut)
        {
            Process process = new Process();
            try
            {
                StreamReader standardError;
                string str2;
                process.StartInfo.CreateNoWindow = true;
                process.StartInfo.RedirectStandardOutput = true;
                process.StartInfo.RedirectStandardError = true;
                process.StartInfo.UseShellExecute = false;
                process.StartInfo.FileName = progname;
                process.StartInfo.Arguments = args;
                if (directory.Length > 0)
                {
                    process.StartInfo.WorkingDirectory = directory;
                }
                process.Start();
                while (!process.HasExited)
                {
                    try
                    {
                        Application.DoEvents();
                        Thread.Sleep(2);
                        continue;
                    }
                    catch (Exception exception)
                    {
                        if (exception != null)
                        {
                            Console.WriteLine("'" + exception.Message + "'\n" + exception.StackTrace);
                        }
                        continue;
                    }
                }
                string str = "\r\n" + progname + " " + args + "\r\n";
                if (!process.StandardError.EndOfStream)
                {
                    standardError = process.StandardError;
                    do
                    {
                        str2 = standardError.ReadLine();
                        str = str + str2 + "\r\n";
                    }
                    while (standardError.Peek() >= 0);
                }
                if (!process.StandardOutput.EndOfStream)
                {
                    standardError = process.StandardOutput;
                    do
                    {
                        str2 = standardError.ReadLine();
                        str = str + str2 + "\r\n";
                    }
                    while (standardError.Peek() >= 0);
                }
                tbOut.Text = tbOut.Text + str;
                tbOut.SelectionStart = tbOut.Text.Length;
                tbOut.ScrollToCaret();
                if (searchout.Length > 0)
                {
                    if (searchout.IndexOf("Error") >= 0)
                    {
                        string[] strArray = searchout.Split(new char[] { ':' });
                        return (str.IndexOf(strArray[1]) < 0);
                    }
                    return (str.IndexOf(searchout) >= 0);
                }
                return (process.ExitCode == 0);
            }
            catch (Exception exception2)
            {
                MessageBox.Show(this, exception2.Message + " " + progname, "Program Error", MessageBoxButtons.OK);
                Console.WriteLine(exception2.Message + " " + progname);
                tbOut.Text = tbOut.Text + exception2.Message + " " + progname;
            }
            tbOut.SelectionStart = tbOut.Text.Length;
            tbOut.ScrollToCaret();
            return true;
        }

        private void saveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.saveFile.DefaultExt = this.projExt;
            this.saveFile.Filter = "Propalyzer files (*" + this.projExt + ")|*" + this.projExt + "|All files (*.*)|*.*";
            this.saveFile.ShowDialog();
            if (this.saveFile.FileName.Length > 0)
            {
                this.projFile = this.saveFile.FileName;
                this.projName = this.projFile.Substring(this.projFile.LastIndexOf(@"\") + 1);
                this.saveSettings();
            }
        }

        private void saveSettings()
        {
            try
            {
                this.Text = this.programName + " - " + this.projName;
                Project project = new Project(this.projFile);
                project.set("progname", this.programName);
                project.set("project", this.projName);
                project.set("zoom", this.zoom);
                project.set("show", this.show);
                project.set("mask", this.mask);
                project.set("arm", this.arm);
                project.set("trig", this.trig);
                project.set("period", this.tbCbPeriod.SelectedIndex);
                project.set("periodscale", "ns");
                project.set("xdiv", this.xdiv);
                project.set("ydiv", this.ydiv);
                project.set("xoff", this.xoff);
                project.set("yoff", this.yoff);
                project.set("xzoom", this.xzoom);
                project.set("tickpan", this.tickpan);
                project.set("bitColorDefault", this.bitColorDefault);
                project.set("obitColorDefault", this.obitColorDefault);
                project.set("dispColorDefault", this.dispColorDefault);
                project.set("tickColorDefault", this.tickColorDefault);
                project.set("invertMask", this.invertMask);
                project.set("bitcolornum", this.bitcolornum);
                ArrayList al = new ArrayList();
                for (int i = 0; i < this.bitcolors.Count; i++)
                {
                    al.Add(((Color) this.bitcolors[i]).ToArgb());
                }
                project.set("bitcolors", al);
                al = new ArrayList();
                for (int j = 1; j < this.tbGroup.Items.Count; j++)
                {
                    string text = this.tbGroup.Items[j].Text;
                    al.Add(text);
                }
                project.set("tbGroups", al);
                project.set("groups", this.groups);
                project.set("groupcolors", this.groupcolors);
                project.set("groupitems", this.groupitems);
                foreach (DictionaryEntry entry in this.groups)
                {
                    project.set("groupbits-" + entry.Key, (ArrayList) this.groups[entry.Key.ToString()]);
                }
                project.set("zbitCapArray", this.bitCapArray);
                project.save();
            }
            catch (Exception exception)
            {
                MessageBox.Show(exception.Message);
            }
        }

        private void saveToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (this.projFile.Length == 0)
            {
                this.saveAsToolStripMenuItem_Click(sender, e);
            }
            else
            {
                this.saveSettings();
            }
        }

        private void showData(int x)
        {
            if (this.xdiv != 0)
            {
                int tick = this.getTick(x);
                if (x < this.xoff)
                {
                    x = this.xoff;
                }
                if (x > (this.disp.Width - 1))
                {
                    x = this.disp.Width - 1;
                }
                if (((tick + this.tickpan) > (this.bitCapArray.Count - 1)) && (this.bitCapArray.Count > 0))
                {
                    tick = (this.bitCapArray.Count - 1) - this.tickpan;
                    x = this.getX(tick);
                }
                this.sbX.Text = x.ToString();
                tick += this.tickpan;
                this.sbTick.Text = tick.ToString();
                if ((tick > -1) && (tick < this.bitCapArray.Count))
                {
                    this.sbValue.Text = this.bitCapArray[tick].ToString();
                }
                long period = tick * this.sampleperiod;
                this.sbTime.Text = this.getTimeStr(period);
                this.cursor(x, 0);
                this.showGroups(tick);
            }
        }

        private void showGroups(int x)
        {
            if ((x >= 0) && (x <= (this.bitCapArray.Count - 1)))
            {
                if (this.ticklist != null)
                {
                    this.ticklist.setCursorTrack(x);
                }
                try
                {
                    foreach (DictionaryEntry entry in this.groups)
                    {
                        string s = entry.Key.ToString();
                        ArrayList list = (ArrayList) this.groups[s];
                        if ((list != null) && (list.Count > 0))
                        {
                            string str2 = this.getGroupValueName(s);
                            if (this.groupitems[str2] != null)
                            {
                                uint num = 0;
                                int num2 = 0;
                                string str3 = (string) this.bitCapArray[x];
                                uint num3 = Convert.ToUInt32(str3, 0x10);
                                ToolStripLabel label = (ToolStripLabel) this.groupitems[str2];
                                for (int i = list.Count - 1; i >= 0; i--)
                                {
                                    if (list[i].GetType().ToString().IndexOf("String") > 0)
                                    {
                                        num2 = Convert.ToInt32(list[i]);
                                    }
                                    else
                                    {
                                        num2 = (int) list[i];
                                    }
                                    num2 = ((int) 1) << num2;
                                    num |= num3 & ((uint) num2);
                                }
                                if (list[0].GetType().ToString().IndexOf("String") > 0)
                                {
                                    num2 = Convert.ToInt32(list[0]);
                                }
                                else
                                {
                                    num2 = (int) list[0];
                                }
                                num = num >> num2;
                                int num5 = list.Count / 4;
                                string format = "{0:X" + num5 + "}";
                                label.Text = string.Format(format, num);
                                label.BackColor = this.dispColorDefault;
                                label.ForeColor = (Color) this.groupcolors[s];
                                label.Invalidate();
                            }
                        }
                    }
                }
                catch (Exception exception)
                {
                    if (exception != null)
                    {
                        Console.WriteLine("'" + exception.Message + "'\n" + exception.StackTrace);
                    }
                }
            }
        }

        private void showList()
        {
            if ((this.ticklist != null) && this.ticklist.Visible)
            {
                this.ticklist.init(this.bitCapArray, this.getPeriod(), this.getTick(this.mousex), this.groups, this.groupitems, this.groupcolors);
                this.ticklist.Show();
            }
        }

        private void split_KeyDown(object sender, KeyEventArgs e)
        {
            int tick = 0;
            int num2 = 0;
            int num3 = 0;
            if (!e.Control || (e.KeyValue == 0x11))
            {
                switch (e.KeyCode)
                {
                    case Keys.End:
                        this.mousex = (this.disp.Width - this.xoff) + 5;
                        goto Label_0479;

                    case Keys.Home:
                        this.mousex = this.xoff;
                        goto Label_0479;

                    case Keys.Left:
                        this.mousex = this.cursorx;
                        tick = this.getTick(this.mousex);
                        tick = (tick > 0) ? (tick - 1) : 0;
                        this.mousex = this.getX(tick) + ((this.xdiv > 1) ? this.xzoom : 0);
                        if (this.mousex < this.getX(1))
                        {
                            if (this.tickpan > 0)
                            {
                                this.tickpan--;
                            }
                            this.disp.Refresh();
                        }
                        goto Label_0479;

                    case Keys.Up:
                        this.xzoom += this.zoom;
                        num2 = this.getTick(this.xoff) + this.tickpan;
                        num3 = this.getTick(this.cursorx) + this.tickpan;
                        this.tickpan += ((num3 - num2) / this.xzoom) + 1;
                        this.cursor(this.getX(this.tickpan), 0);
                        this.disp.Refresh();
                        goto Label_0479;

                    case Keys.Right:
                        this.mousex = this.cursorx;
                        tick = this.getTick(this.mousex);
                        this.mousex = this.getX((tick > (this.bitCapArray.Count - 2)) ? (this.bitCapArray.Count - 1) : (tick + 1)) + ((this.xdiv > 1) ? this.xzoom : 0);
                        if (this.mousex > (((this.disp.Width - this.xzoom) - this.xoff) + 5))
                        {
                            if (this.tickpan < (this.samples - 1))
                            {
                                this.tickpan++;
                            }
                            this.mousex = this.disp.Width - this.xoff;
                            this.disp.Refresh();
                        }
                        goto Label_0479;

                    case Keys.Down:
                        if ((this.xzoom - this.zoom) > 0)
                        {
                            this.xzoom -= this.zoom;
                        }
                        num2 = this.getTick(this.xoff) + this.tickpan;
                        num3 = this.getTick(this.cursorx) + this.tickpan;
                        this.tickpan += ((num3 - num2) / this.xzoom) + 1;
                        this.cursor(this.getX(this.tickpan), 0);
                        this.disp.Refresh();
                        goto Label_0479;
                }
            }
            else
            {
                switch (e.KeyCode)
                {
                    case Keys.End:
                        this.tickpan = this.samples + 1;
                        tick = this.getTick(this.disp.Width - this.xoff);
                        this.tickpan -= tick;
                        if (this.tickpan < 0)
                        {
                            this.tickpan = 0;
                        }
                        this.mousex = this.getX(this.tickpan / this.xdiv);
                        break;

                    case Keys.Home:
                        this.tickpan = 0;
                        this.cursorx = this.xoff;
                        break;

                    case Keys.Left:
                        if ((this.cursorx - (10 * this.zoom)) > 0)
                        {
                            this.cursorx -= 10 * this.zoom;
                        }
                        if ((this.tickpan - (10 * this.zoom)) > 0)
                        {
                            this.tickpan -= 10 * this.zoom;
                        }
                        break;

                    case Keys.Up:
                        this.xzoom += 10 * this.zoom;
                        break;

                    case Keys.Right:
                        if ((this.cursorx + (10 * this.zoom)) < (this.disp.Width - 1))
                        {
                            this.cursorx += 10 * this.zoom;
                        }
                        if ((this.tickpan + (10 * this.zoom)) < this.samples)
                        {
                            this.tickpan += 10 * this.zoom;
                        }
                        break;

                    case Keys.Down:
                        if ((this.xzoom - (10 * this.zoom)) > 0)
                        {
                            this.xzoom -= 10 * this.zoom;
                        }
                        break;
                }
                this.showData(this.mousex);
                this.disp.Refresh();
                return;
            }
        Label_0479:
            this.showData(this.mousex);
        }

        private void split_KeyUp(object sender, KeyEventArgs e)
        {
            if ((e.Modifiers == Keys.Control) && (e.KeyData == Keys.S))
            {
                this.saveSettings();
            }
        }

        private void tbArmPattern_Click(object sender, EventArgs e)
        {
            this.tbBitAll.SelectedIndex = 2;
            this.commPort.send("\r");
            this.commPort.abort();
        }

        private void tbArmPattern_TextChanged(object sender, EventArgs e)
        {
            if (this.tbArmPattern.Text.Length != 0)
            {
                try
                {
                    this.arm = Convert.ToInt32(this.tbArmPattern.Text, 0x10);
                    for (int i = 0; (this.tbBitAll.SelectedIndex == 2) && (i < this.bits.Count); i++)
                    {
                        ToolStripButton button = (ToolStripButton) this.bits[i];
                        button.Checked = (this.arm & (((int) 1) << i)) != 0;
                    }
                }
                catch (Exception exception)
                {
                    MessageBox.Show("Arm Field Conversion Error");
                    Console.WriteLine(exception.Message);
                }
            }
        }

        private void tbBit_Click(object sender, EventArgs e)
        {
            this.commPort.send("\r");
            this.commPort.abort();
            ToolStripButton button = (ToolStripButton) sender;
            int num = 0;
            try
            {
                ToolStripButton button2 = (ToolStripButton) sender;
                num = int.Parse(button2.Text);
            }
            catch (Exception exception)
            {
                if (exception != null)
                {
                    Console.WriteLine("'" + exception.Message + "'\n" + exception.StackTrace);
                }
            }
            switch (this.tbBitAll.SelectedIndex)
            {
                case 0:
                    this.show &= ~(((int) 1) << num);
                    this.show |= button.Checked ? (((int) 1) << num) : 0;
                    break;

                case 1:
                    this.mask &= ~(((int) 1) << num);
                    this.mask |= button.Checked ? (((int) 1) << num) : 0;
                    break;

                case 2:
                    this.arm &= ~(((int) 1) << num);
                    this.arm |= button.Checked ? (((int) 1) << num) : 0;
                    break;

                case 3:
                    this.trig &= ~(((int) 1) << num);
                    this.trig |= button.Checked ? (((int) 1) << num) : 0;
                    break;
            }
            this.tbArmPattern.Text = string.Format("{0:X8}", this.arm);
            this.tbMaskPattern.Text = string.Format("{0:X8}", this.mask);
            this.tbTriggerPattern.Text = string.Format("{0:X8}", this.trig);
            this.tbShowPattern.Text = string.Format("{0:X8}", this.show);
        }

        private void tbBitAll_Click(object sender, EventArgs e)
        {
        }

        private void tbBitAll_SelectedIndexChanged(object sender, EventArgs e)
        {
            ToolStripComboBox box = (ToolStripComboBox) sender;
            for (int i = 0; i < this.bits.Count; i++)
            {
                ToolStripButton button = (ToolStripButton) this.bits[i];
                switch (box.SelectedIndex)
                {
                    case 0:
                        button.Checked = (this.show & (((int) 1) << i)) != 0;
                        break;

                    case 1:
                        button.Checked = (this.mask & (((int) 1) << i)) != 0;
                        break;

                    case 2:
                        button.Checked = (this.arm & (((int) 1) << i)) != 0;
                        break;

                    case 3:
                        button.Checked = (this.trig & (((int) 1) << i)) != 0;
                        break;
                }
            }
            this.tbArmPattern.Text = string.Format("{0:X8}", this.arm);
            this.tbMaskPattern.Text = string.Format("{0:X8}", this.mask);
            this.tbTriggerPattern.Text = string.Format("{0:X8}", this.trig);
            this.tbShowPattern.Text = string.Format("{0:X8}", this.show);
            if (box.SelectedIndex == 0)
            {
                this.disp.Refresh();
            }
        }

        private void tbBrowsePropellent_Click(object sender, EventArgs e)
        {
            if (this.tboxPropellent.Text.Length == 0)
            {
                this.openFile.FileName = @".\Propellent.exe";
            }
            else
            {
                this.openFile.FileName = this.tboxPropellent.Text;
            }
            this.openFile.DefaultExt = ".exe";
            this.openFile.Filter = "Application file (*.exe)|*.exe|All files (*.*)|*.*";
            this.openFile.ShowDialog();
            this.tboxPropellent.Text = this.openFile.FileName;
            this.reg.setString(this.propellentregs, this.tboxPropellent.Text);
        }

        private void tbCapture_Click(object sender, EventArgs e)
        {
            if (this.getPeriod() >= 0)
            {
                try
                {
                    if (!this.serial.IsOpen)
                    {
                        this.commPort.init(this.serial, this.tbConsole);
                        this.serial.Open();
                    }
                }
                catch (Exception exception)
                {
                    MessageBox.Show(this, "Com Port Busy " + exception.Message, "Port Open Error", MessageBoxButtons.OK);
                    return;
                }
                this.commPort.setConsoleConnected(this.tbShowConsole.Checked);
                if (this.tbCapture.Checked)
                {
                    string s = this.capture(this.mask);
                    this.parse(s);
                    this.tbCapture.Checked = false;
                }
                else
                {
                    this.commPort.send("\r");
                    this.commPort.abort();
                }
                if (this.serial.IsOpen)
                {
                    this.serial.Close();
                }
                this.active = true;
                this.showList();
                this.disp.Refresh();
            }
        }

        private void tbCaptureCont_Click(object sender, EventArgs e)
        {
            if (this.getPeriod() >= 0)
            {
                try
                {
                    if (!this.serial.IsOpen)
                    {
                        this.commPort.init(this.serial, this.tbConsole);
                        this.serial.Open();
                    }
                }
                catch (Exception exception)
                {
                    MessageBox.Show(this, "Com Port Busy " + exception.Message, "Port Open Error", MessageBoxButtons.OK);
                    return;
                }
                this.commPort.setConsoleConnected(this.tbShowConsole.Checked);
                while (this.tbCaptureCont.Checked && this.serial.IsOpen)
                {
                    string s = this.capture(this.mask);
                    this.parse(s);
                    this.active = true;
                    this.disp.Refresh();
                    this.showList();
                    Application.DoEvents();
                }
                this.tbCaptureCont.Checked = false;
                this.serial.Close();
            }
        }

        private void tbCbPeriod_Click(object sender, EventArgs e)
        {
            this.commPort.send("\r");
            this.commPort.abort();
        }

        private void tbCbPeriod_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.commPort.send("\r");
            this.commPort.abort();
        }

        private void tbCbScale_SelectedIndexChanged(object sender, EventArgs e)
        {
            this.tbPeriod_TextChanged(sender, e);
        }

        private void tbDownload_Click(object sender, EventArgs e)
        {
            this.commPort.abort();
            this.commPort.close();
            if (this.tboxSpinFile.Text.Length < 1)
            {
                MessageBox.Show(this, "Spin file not defined.", "Spin Setting Error", MessageBoxButtons.OK);
            }
            else if (this.tboxPropellent.Text.Length < 1)
            {
                MessageBox.Show(this, "Propellent file not defined.", "Propellent Setting Error", MessageBoxButtons.OK);
            }
            else
            {
                string args = ("/PORT " + this.commOpts.getCommPort()) + " \"" + this.tboxSpinFile.Text + "\"";
                this.runProgram("", "\"" + this.tboxPropellent.Text + "\"", args, "", this.tbConsole);
            }
        }

        private void tbFlipAll_Click(object sender, EventArgs e)
        {
            this.commPort.send("\r");
            this.commPort.abort();
            for (int i = 0; i < this.bits.Count; i++)
            {
                ToolStripButton button = (ToolStripButton) this.bits[i];
                button.Checked = !button.Checked;
                switch (this.tbBitAll.SelectedIndex)
                {
                    case 0:
                        this.show &= ~(((int) 1) << i);
                        this.show |= button.Checked ? (((int) 1) << i) : 0;
                        break;

                    case 1:
                        this.mask &= ~(((int) 1) << i);
                        this.mask |= button.Checked ? (((int) 1) << i) : 0;
                        break;

                    case 2:
                        this.arm &= ~(((int) 1) << i);
                        this.arm |= button.Checked ? (((int) 1) << i) : 0;
                        break;

                    case 3:
                        this.trig &= ~(((int) 1) << i);
                        this.trig |= button.Checked ? (((int) 1) << i) : 0;
                        break;
                }
            }
            this.tbArmPattern.Text = string.Format("{0:X8}", this.arm);
            this.tbMaskPattern.Text = string.Format("{0:X8}", this.mask);
            this.tbTriggerPattern.Text = string.Format("{0:X8}", this.trig);
            this.tbShowPattern.Text = string.Format("{0:X8}", this.show);
            if (this.tbBitAll.SelectedIndex == 0)
            {
                this.disp.Refresh();
            }
        }

        private void tbMaskPattern_Click(object sender, EventArgs e)
        {
            this.tbBitAll.SelectedIndex = 1;
            this.commPort.send("\r");
            this.commPort.abort();
        }

        private void tbMaskPattern_TextChanged(object sender, EventArgs e)
        {
            if (this.tbMaskPattern.Text.Length != 0)
            {
                try
                {
                    this.mask = Convert.ToInt32(this.tbMaskPattern.Text, 0x10);
                    for (int i = 0; (this.tbBitAll.SelectedIndex == 1) && (i < this.bits.Count); i++)
                    {
                        ToolStripButton button = (ToolStripButton) this.bits[i];
                        button.Checked = (this.mask & (((int) 1) << i)) != 0;
                    }
                }
                catch (Exception exception)
                {
                    MessageBox.Show("Mask Field Conversion Error");
                    Console.WriteLine(exception.Message);
                }
            }
        }

        private void tbOptions_Click(object sender, EventArgs e)
        {
            this.commOpts = new CommOptions();
            this.commOpts.Show();
        }

        private void tbPanLeft_Click(object sender, EventArgs e)
        {
            if (this.tickpan > 0)
            {
                this.tickpan--;
                this.cursorx--;
            }
            this.showData(this.cursorx);
            this.disp.Refresh();
        }

        private void tbPanRight_Click(object sender, EventArgs e)
        {
            if (this.tickpan < this.samples)
            {
                this.tickpan++;
                this.cursorx++;
            }
            this.showData(this.cursorx);
            this.disp.Refresh();
        }

        private void tbPanTrigger_Click(object sender, EventArgs e)
        {
            this.tickpan = 0;
            this.disp.Refresh();
        }

        private void tbPeriod_Leave(object sender, EventArgs e)
        {
        }

        private void tbPeriod_TextChanged(object sender, EventArgs e)
        {
            int num = 500;
            int num2 = 0xbebc20;
            int num3 = 0;
            int num4 = 0;
            int num5 = 50;
            num4 = this.getPropFreq();
            if (num4 >= 0)
            {
                try
                {
                    num3 = 0x3e8 / num4;
                    num2 = 0xf4240 * num3;
                    string text = this.tbPeriodText.Text;
                    string[] strArray = text.Split(new char[] { ',' });
                    if (strArray.Length > 0)
                    {
                        text = "";
                        foreach (string str2 in strArray)
                        {
                            text = text + str2;
                        }
                    }
                    num5 = Convert.ToInt32(text);
                    if ((num5 < num) && (this.tbCbScale.SelectedIndex == 0))
                    {
                        num5 = 50;
                    }
                    else if (num5 > num2)
                    {
                        num5 = num2;
                    }
                    this.tbCbPeriod.Text = num5.ToString();
                    this.commPort.send("\r");
                    this.commPort.abort();
                }
                catch (Exception exception)
                {
                    MessageBox.Show("Period Input Error");
                    Console.WriteLine(exception.Message);
                }
            }
        }

        private void tbRefresh_Click(object sender, EventArgs e)
        {
            this.disp.Refresh();
        }

        private void tbShowConsole_Click(object sender, EventArgs e)
        {
            this.tbConsole.Visible = this.tbShowConsole.Checked;
            if (this.tbShowConsole.Checked)
            {
                this.split.SplitterDistance = (int) (this.split.Height * 0.8);
            }
            else
            {
                this.split.SplitterDistance = this.split.Height;
            }
            this.disp.Refresh();
        }

        private void tbShowPattern_Click(object sender, EventArgs e)
        {
            this.tbBitAll.SelectedIndex = 0;
        }

        private void tbShowPattern_TextChanged(object sender, EventArgs e)
        {
            if (this.tbShowPattern.Text.Length != 0)
            {
                try
                {
                    this.show = Convert.ToInt32(this.tbShowPattern.Text, 0x10);
                    for (int i = 0; i < this.bits.Count; i++)
                    {
                        ToolStripButton button = (ToolStripButton) this.bits[i];
                        button.Checked = (this.show & (((int) 1) << i)) != 0;
                    }
                    this.disp.Refresh();
                }
                catch (Exception exception)
                {
                    MessageBox.Show("Show Field Conversion Error");
                    Console.WriteLine(exception.Message);
                }
            }
        }

        private void tbSnap_Click(object sender, EventArgs e)
        {
            try
            {
                if (!this.serial.IsOpen)
                {
                    this.commPort.init(this.serial, this.tbConsole);
                    this.serial.Open();
                }
            }
            catch (Exception exception)
            {
                MessageBox.Show(this, "Com Port Busy " + exception.Message, "Port Open Error", MessageBoxButtons.OK);
                return;
            }
            try
            {
                this.getPeriod();
            }
            catch (Exception exception2)
            {
                MessageBox.Show(this, "Period must be a decimal integer (" + exception2.Message + ").", "Period Setting Error", MessageBoxButtons.OK);
                return;
            }
            this.commPort.setConsoleConnected(this.tbShowConsole.Checked);
            if (this.tbSnap1.Checked)
            {
                string s = this.capture(0);
                this.parse(s);
                this.tbSnap1.Checked = false;
            }
            else
            {
                this.commPort.send("\r");
                this.commPort.abort();
            }
            if (this.serial.IsOpen)
            {
                this.serial.Close();
            }
            this.active = true;
            this.showList();
            this.disp.Refresh();
        }

        private void tbTriggerPattern_Click(object sender, EventArgs e)
        {
            this.tbBitAll.SelectedIndex = 3;
            this.commPort.send("\r");
            this.commPort.abort();
        }

        private void tbTriggerPattern_TextChanged(object sender, EventArgs e)
        {
            if (this.tbTriggerPattern.Text.Length != 0)
            {
                try
                {
                    this.trig = Convert.ToInt32(this.tbTriggerPattern.Text, 0x10);
                    for (int i = 0; (this.tbBitAll.SelectedIndex == 3) && (i < this.bits.Count); i++)
                    {
                        ToolStripButton button = (ToolStripButton) this.bits[i];
                        button.Checked = (this.trig & (((int) 1) << i)) != 0;
                    }
                }
                catch (Exception exception)
                {
                    MessageBox.Show(exception.Message, "Trigger Field Conversion Error");
                    Console.WriteLine(exception.Message);
                }
            }
        }

        private void tbZoomIn_Click(object sender, EventArgs e)
        {
            this.xzoom += this.zoom;
            this.disp.Refresh();
        }

        private void tbZoomOut_Click(object sender, EventArgs e)
        {
            this.xzoom -= this.zoom;
            if (this.xzoom < 1)
            {
                this.xzoom = 1;
            }
            this.disp.Refresh();
        }

        private void toolStripExport_Click(object sender, EventArgs e)
        {
            this.saveFile.DefaultExt = ".txt";
            this.saveFile.Filter = "ASCII-HEX text file (*.txt)|*.txt|All files (*.*)|*.*";
            this.saveFile.ShowDialog();
            if (this.saveFile.FileName.Length != 0)
            {
                string contents = "";
                for (int i = 0; i < this.bitCapArray.Count; i++)
                {
                    contents = contents + this.bitCapArray[i] + "\n";
                }
                File.WriteAllText(this.saveFile.FileName, contents);
            }
        }

        private void toolStripImport_Click(object sender, EventArgs e)
        {
            this.openFile.DefaultExt = ".txt";
            this.openFile.Filter = "ASCII-HEX text file (*.txt)|*.txt|All files (*.*)|*.*";
            this.openFile.ShowDialog();
            if (this.openFile.FileName.Length != 0)
            {
                string[] strArray = File.ReadAllText(this.openFile.FileName).Split(new char[] { '\n' });
                this.bitCapArray.Clear();
                for (int i = 0; i < strArray.Length; i++)
                {
                    this.bitCapArray.Add(strArray[i]);
                }
                this.zoom = 1;
                this.tickpan = 0;
                this.disp.Refresh();
            }
        }

        private void zoomFactorCombo_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                this.zoom = Convert.ToInt32(this.zoomFactorCombo.Text);
            }
            catch (Exception exception)
            {
                if (exception != null)
                {
                    Console.WriteLine("'" + exception.Message + "'\n" + exception.StackTrace);
                }
            }
        }

        private void zoomInToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.xzoom += this.zoom;
            this.tickpan += this.zoom;
            this.disp.Refresh();
        }

        private void zoomOutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.xzoom -= this.zoom;
            this.tickpan -= this.zoom;
            if (this.xzoom < 1)
            {
                this.xzoom = 1;
            }
            if (this.tickpan < 0)
            {
                this.tickpan = 0;
            }
            this.disp.Refresh();
        }

        private void zoomResetToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.xzoom = 1;
            this.tickpan = 0;
            this.disp.Refresh();
        }

        private enum bitsel
        {
            BSHOW,
            BMASK,
            BARM,
            BTRIG
        }

        private enum periodScale
        {
            ns,
            us,
            ms,
            s,
            m
        }
    }
}

