﻿namespace CsharpApplication
{
    using System;
    using System.Collections;
    using System.Drawing;
    using System.IO;

    internal class Project
    {
        private string filename;
        private string kdel = ":";
        private char ldel = '#';
        private Hashtable list;
        private string sarray = "array";
        private string scolor = "color";
        private string shash = "hash";
        private string sint32 = "int32";
        private string sint64 = "int64";
        private string sstring = "string";
        private string vdel = ":";

        public Project(string fileName)
        {
            this.filename = fileName;
            this.list = new Hashtable();
        }

        public void clear()
        {
            this.list.Clear();
        }

        public string get(string key)
        {
            if (this.list[key] != null)
            {
                string str = this.list[key].ToString();
                string str2 = str.Substring(str.IndexOf(this.vdel) + 1);
                if (str.Substring(0, str.IndexOf(this.vdel)).Equals(this.sstring))
                {
                    return str2;
                }
            }
            return "";
        }

        public ArrayList getArray(string key, ref bool error)
        {
            ArrayList list = new ArrayList();
            error = false;
            if (this.list[key] != null)
            {
                try
                {
                    string str = this.list[key].ToString();
                    string str2 = str.Substring(0, str.IndexOf(this.vdel));
                    str = str.Substring(str.IndexOf(this.vdel) + 1);
                    if (str2.Equals(this.sarray))
                    {
                        foreach (string str3 in str.Split(new char[] { this.ldel }))
                        {
                            if (str3.Length > 0)
                            {
                                list.Add(str3);
                            }
                        }
                        return list;
                    }
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message);
                }
            }
            error = true;
            return null;
        }

        public Color getColor(string key, ref bool error)
        {
            error = false;
            if (this.list[key] != null)
            {
                try
                {
                    string str = this.list[key].ToString();
                    string str2 = str.Substring(0, str.IndexOf(this.vdel));
                    str = str.Substring(str.IndexOf(this.vdel) + 1);
                    if (str2.Equals(this.scolor))
                    {
                        return Color.FromArgb(Convert.ToInt32(str));
                    }
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message);
                }
            }
            error = true;
            return Color.White;
        }

        public Hashtable getHash(string key, ref bool error)
        {
            Hashtable hashtable = new Hashtable();
            error = false;
            if (this.list[key] != null)
            {
                try
                {
                    string str = this.list[key].ToString();
                    string str2 = str.Substring(0, str.IndexOf(this.vdel));
                    str = str.Substring(str.IndexOf(this.vdel) + 1);
                    if (str2.Equals(this.shash))
                    {
                        foreach (string str3 in str.Split(new char[] { this.ldel }))
                        {
                            if (((str3 != null) && (str3.Length != 0)) && (str3.IndexOf(",") >= 0))
                            {
                                str2 = str3.Substring(0, str3.IndexOf(","));
                                str = str3.Substring(str3.IndexOf(",") + 1);
                                hashtable.Add(str2, str);
                            }
                        }
                        return hashtable;
                    }
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message);
                }
            }
            error = true;
            return null;
        }

        public int getInt(string key, ref bool error)
        {
            error = false;
            if (this.list[key] != null)
            {
                try
                {
                    string str = this.list[key].ToString();
                    string str2 = str.Substring(0, str.IndexOf(this.vdel));
                    str = str.Substring(str.IndexOf(this.vdel) + 1);
                    if (str2.Equals(this.sint32))
                    {
                        return Convert.ToInt32(str);
                    }
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message);
                }
            }
            error = true;
            return 0;
        }

        public long getLong(string key, ref bool error)
        {
            error = false;
            if (this.list[key] != null)
            {
                try
                {
                    string str = this.list[key].ToString();
                    string str2 = str.Substring(0, str.IndexOf(this.vdel));
                    str = str.Substring(str.IndexOf(this.vdel) + 1);
                    if (str2.Equals(this.sint32))
                    {
                        return Convert.ToInt64(str);
                    }
                }
                catch (Exception exception)
                {
                    Console.WriteLine(exception.Message);
                }
            }
            error = true;
            return 0L;
        }

        public void load()
        {
            string[] strArray = File.ReadAllText(this.filename).Split(new char[] { '\n' });
            this.list.Clear();
            foreach (string str4 in strArray)
            {
                if (str4.Length != 0)
                {
                    string key = str4.Substring(0, str4.IndexOf(this.kdel));
                    string str3 = str4.Substring(str4.IndexOf(this.kdel) + 1);
                    this.list.Add(key, str3);
                }
            }
        }

        public void save()
        {
            ArrayList list = new ArrayList();
            foreach (DictionaryEntry entry in this.list)
            {
                list.Add(entry.Value);
            }
            list.Sort();
            string contents = "";
            foreach (string str2 in list)
            {
                contents = contents + str2 + "\n";
            }
            File.WriteAllText(this.filename, contents);
        }

        public string set(string key, ArrayList al)
        {
            string str = key + this.kdel + this.sarray + this.vdel;
            for (int i = 0; i < al.Count; i++)
            {
                str = str + al[i].ToString() + this.ldel;
            }
            this.list.Add(key, str);
            return str;
        }

        public string set(string key, Hashtable hash)
        {
            string str = key + this.kdel + this.shash + this.vdel;
            foreach (DictionaryEntry entry in hash)
            {
                string str2 = entry.Value.ToString();
                if (entry.Value.ToString().IndexOf("Color") >= 0)
                {
                    Color color = (Color) entry.Value;
                    str2 = color.ToArgb().ToString();
                }
                object obj2 = str;
                str = string.Concat(new object[] { obj2, entry.Key.ToString(), ",", str2, this.ldel });
            }
            this.list.Add(key, str);
            return str;
        }

        public string set(string key, Color color)
        {
            string str = string.Concat(new object[] { key, this.kdel, this.scolor, this.vdel, color.ToArgb() });
            this.list.Add(key, str);
            return str;
        }

        public string set(string key, int value)
        {
            string str = string.Concat(new object[] { key, this.kdel, this.sint32, this.vdel, value });
            this.list.Add(key, str);
            return str;
        }

        public string set(string key, long value)
        {
            string str = string.Concat(new object[] { key, this.kdel, this.sint64, this.vdel, value });
            this.list.Add(key, str);
            return str;
        }

        public string set(string key, string value)
        {
            string str = key + this.kdel + "string" + this.vdel + value;
            this.list.Add(key, str);
            return str;
        }

        public string set(string key, uint value)
        {
            string str = string.Concat(new object[] { key, this.kdel, this.sint32, this.vdel, value });
            this.list.Add(key, str);
            return str;
        }
    }
}

